/* Generated by re2c 0.13.5 on Mon Feb 22 23:44:57 2010 */
#line 1 "src/scanner.re"
/*
 * scanner.re
 *
 *   Copyright (c) 2008  Higepon(Taro Minowa)  <higepon@users.sourceforge.jp>
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions
 *   are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *   A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *   OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *   PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  $Id: Reader.y 183 2008-07-04 06:19:28Z higepon $
 */
#include <stdio.h>
#include "Object.h"
#include "Pair.h"
#include "StringProcedures.h"
#include "TextualInputPort.h"
#include "TextualOutputPort.h"
#include "ucs4string.h"
#include "ScannerHelper.h"
#include "Scanner.h"
#include "OSCompatThread.h"
#include "VM.h"
#include "MultiVMProcedures.h"

#define YYCTYPE ucs4char
#define YYCURSOR cursor_
#define YYMARKER marker_
#define YYLIMIT limit_
#define YYTOKEN token_
#define YYDEBUG(state, ch)  yydebug(state, ch)
#define YYFILL(n) fill(n)

using namespace scheme;

Scanner::Scanner() : eofP_(false), dummy_('Z'),  // for YYDEBUG
                     buffer_(NULL),
                     cursor_(&dummy_),
                     token_(buffer_),
                     limit_(buffer_),
                     marker_(buffer_),
                     bufferSize_(32)
{

}

Scanner::~Scanner()
{
}

// Since re2c greedy look-aheads,
// we need to give back read buffer to input-port.
void Scanner::emptyBuffer()
{
    TextualInputPort* const inputPort = currentVM()->readerContext()->port();

    for (ucs4char* p = limit_ - 1; p >= cursor_; p--) {
        // special case
        if (eofP_ && p == limit_ - 1 && *p == '\0') {
            continue;
        } else {
            inputPort->unGetChar(*p);
        }
    }

    // even if port reaches EOF, we turns off this flag.
    // fill() will detect EOF.
    eofP_ = false;
    cursor_ = buffer_;
    limit_ = buffer_;
    token_ = buffer_;
    marker_ = buffer_;
}

void Scanner::fill(int n)
{
    if (eofP_) return;
    TextualInputPort* const inputPort = currentVM()->readerContext()->port();
    const int restCharCount = limit_ - token_;
    const int tokenOffset = token_ - buffer_;

    if (buffer_ == NULL) {
        buffer_ = new(GC) ucs4char[bufferSize_];
        cursor_ = buffer_;
        limit_ = buffer_;
        token_ = buffer_;
        marker_ = buffer_;
    }

    if ((restCharCount + n) > bufferSize_) {
        ucs4char* newBuffer = new(GC) ucs4char[restCharCount + n + 1];
        bufferSize_ = restCharCount + n + 1;
        memmove(newBuffer, token_, restCharCount * sizeof(ucs4char));
        cursor_ = &newBuffer[cursor_ - buffer_];
        token_ = &newBuffer[token_ - buffer_];
        limit_ = &newBuffer[limit_ - buffer_];
        marker_ = &newBuffer[marker_ - buffer_];
        buffer_ = newBuffer;
    } else if (restCharCount > 0) {
        memmove(buffer_, token_, restCharCount * sizeof(ucs4char));
    }

    int i;
    for (i = 0; i < n; i++) {
        const ucs4char ch = inputPort->getChar();
        if (ch == EOF) {
            eofP_ = true;
            buffer_[i + restCharCount] = '\0';
            i++;
            break;
        } else {
            buffer_[i + restCharCount] = ch;
        }
//         if (!inputPort->isDataReady()) {
//             i++;
//
//             break;
//         }

    }
    const int readSize = i;
    cursor_ = cursor_ - tokenOffset;
    token_ = buffer_;
    marker_ = marker_ - tokenOffset;
    limit_ = limit_ - tokenOffset + readSize;
}

int yylex(YYSTYPE* yylval)
{
    return currentVM()->readerContext()->port()->scanner()->scan(yylval);
}

int Scanner::scan(YYSTYPE* yylval)
{
#line 225 "src/scanner.re"


    int comment_count = 0;

    for(;;)
    {

#line 164 "<stdout>"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;

	if ((YYLIMIT - YYCURSOR) < 18) YYFILL(18);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '*') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy23;
					if (yych <= 0x00000008) goto yy25;
					goto yy22;
				} else {
					if (yych <= 0x0000001F) goto yy25;
					if (yych <= ' ') goto yy22;
					goto yy9;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '"') goto yy13;
					if (yych >= '$') goto yy9;
				} else {
					if (yych <= '\'') goto yy15;
					if (yych <= '(') goto yy20;
					if (yych <= ')') goto yy18;
					goto yy9;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy4;
					if (yych <= ',') goto yy16;
					goto yy5;
				} else {
					if (yych <= '.') goto yy7;
					if (yych <= '/') goto yy9;
					goto yy6;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy17;
					goto yy9;
				} else {
					if (yych <= '@') goto yy8;
					if (yych <= 'Z') goto yy9;
					if (yych <= '[') goto yy20;
					goto yy12;
				}
			}
		}
	} else {
		if (yych <= 0x00001680) {
			if (yych <= '~') {
				if (yych <= '`') {
					if (yych <= ']') goto yy18;
					if (yych <= '_') goto yy9;
					goto yy14;
				} else {
					if (yych <= 'z') goto yy9;
					if (yych <= '}') goto yy25;
					goto yy9;
				}
			} else {
				if (yych <= 0x00000085) {
					if (yych <= 0x0000007F) goto yy25;
					if (yych <= 0x00000084) goto yy9;
					goto yy10;
				} else {
					if (yych == 0x000000A0) goto yy10;
					if (yych <= 0x0000167F) goto yy9;
					goto yy10;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x00001FFF) {
					if (yych == 0x0000180E) goto yy10;
					goto yy9;
				} else {
					if (yych <= 0x0000200A) goto yy10;
					if (yych <= 0x00002027) goto yy9;
					if (yych <= 0x00002029) goto yy10;
					goto yy9;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy10;
					if (yych <= 0x0000205E) goto yy9;
					goto yy10;
				} else {
					if (yych == 0x00003000) goto yy10;
					if (yych <= 0x0000FFFF) goto yy9;
					goto yy25;
				}
			}
		}
	}
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	switch (yych) {
	case '!':	goto yy342;
	case '\'':	goto yy345;
	case '(':	goto yy340;
	case ',':	goto yy343;
	case '/':	goto yy346;
	case ';':	goto yy337;
	case 'B':
	case 'b':	goto yy352;
	case 'D':
	case 'd':	goto yy351;
	case 'E':
	case 'I':
	case 'e':
	case 'i':	goto yy349;
	case 'F':
	case 'f':	goto yy354;
	case 'O':
	case 'o':	goto yy350;
	case 'T':
	case 't':	goto yy355;
	case 'X':
	case 'x':	goto yy348;
	case '\\':	goto yy353;
	case '`':	goto yy344;
	case 'v':	goto yy339;
	case '|':	goto yy335;
	default:	goto yy3;
	}
yy3:
#line 453 "src/scanner.re"
	{
            // syntax error
            return 0;
        }
#line 301 "<stdout>"
yy4:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'i') {
		if (yych <= '-') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy67;
					goto yy3;
				} else {
					if (yych <= '\r') goto yy67;
					if (yych <= 0x0000001F) goto yy3;
					goto yy67;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy3;
					goto yy67;
				} else {
					if (yych <= '\'') goto yy3;
					if (yych <= ')') goto yy67;
					goto yy3;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') {
					if (yych <= '.') goto yy303;
					goto yy3;
				} else {
					if (yych <= '9') goto yy301;
					if (yych <= ':') goto yy3;
					goto yy67;
				}
			} else {
				if (yych <= '\\') {
					if (yych == '[') goto yy67;
					goto yy3;
				} else {
					if (yych <= ']') goto yy67;
					if (yych <= 'h') goto yy3;
					goto yy299;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'n') {
					if (yych <= 'm') goto yy3;
					goto yy300;
				} else {
					if (yych == 0x00000085) goto yy67;
					goto yy3;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy67;
					goto yy3;
				} else {
					if (yych <= 0x00001680) goto yy67;
					if (yych <= 0x0000180D) goto yy3;
					goto yy67;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy3;
					goto yy67;
				} else {
					if (yych <= 0x00002027) goto yy3;
					if (yych <= 0x00002029) goto yy67;
					goto yy3;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy67;
					if (yych <= 0x0000205E) goto yy3;
					goto yy67;
				} else {
					if (yych == 0x00003000) goto yy67;
					goto yy3;
				}
			}
		}
	}
yy5:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '=') {
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych <= 0x00000000) goto yy62;
				if (yych <= 0x00000008) goto yy3;
				goto yy62;
			} else {
				if (yych <= 0x0000001F) goto yy3;
				if (yych <= '&') goto yy62;
				goto yy3;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy3;
				goto yy62;
			} else {
				if (yych <= '.') goto yy180;
				if (yych <= '/') goto yy62;
				if (yych <= '9') goto yy181;
				goto yy62;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= '`') {
				if (yych <= '>') goto yy178;
				if (yych <= '_') goto yy62;
				goto yy3;
			} else {
				if (yych == 'i') goto yy183;
				goto yy62;
			}
		} else {
			if (yych <= '}') {
				if (yych <= 'n') goto yy184;
				if (yych <= 'z') goto yy62;
				goto yy3;
			} else {
				if (yych == 0x0000007F) goto yy3;
				if (yych <= 0x0000FFFF) goto yy62;
				goto yy3;
			}
		}
	}
yy6:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '\\') {
		if (yych <= '9') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy160;
					if (yych <= 0x00000008) goto yy3;
					goto yy160;
				} else {
					if (yych == ' ') goto yy160;
					goto yy3;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy160;
					if (yych <= '\'') goto yy3;
					goto yy160;
				} else {
					if (yych == '+') goto yy160;
					if (yych <= ',') goto yy3;
					goto yy160;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= '?') {
					if (yych == ';') goto yy160;
					goto yy3;
				} else {
					if (yych <= '@') goto yy160;
					if (yych <= 'C') goto yy3;
					goto yy160;
				}
			} else {
				if (yych <= 'R') {
					if (yych == 'L') goto yy160;
					goto yy3;
				} else {
					if (yych <= 'S') goto yy160;
					if (yych == '[') goto yy160;
					goto yy3;
				}
			}
		}
	} else {
		if (yych <= 0x00001680) {
			if (yych <= 'r') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy160;
					if (yych <= 'c') goto yy3;
					goto yy160;
				} else {
					if (yych == 'l') goto yy160;
					goto yy3;
				}
			} else {
				if (yych <= 0x00000085) {
					if (yych <= 's') goto yy160;
					if (yych <= 0x00000084) goto yy3;
					goto yy160;
				} else {
					if (yych == 0x000000A0) goto yy160;
					if (yych <= 0x0000167F) goto yy3;
					goto yy160;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x00001FFF) {
					if (yych == 0x0000180E) goto yy160;
					goto yy3;
				} else {
					if (yych <= 0x0000200A) goto yy160;
					if (yych <= 0x00002027) goto yy3;
					goto yy160;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy160;
					goto yy3;
				} else {
					if (yych <= 0x0000205F) goto yy160;
					if (yych == 0x00003000) goto yy160;
					goto yy3;
				}
			}
		}
	}
yy7:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ']') {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy71;
				if (yych <= 0x00000008) goto yy3;
				if (yych <= '\r') goto yy71;
				goto yy3;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy71;
					goto yy3;
				} else {
					if (yych <= '#') goto yy71;
					if (yych <= '\'') goto yy3;
					goto yy71;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy3;
					goto yy73;
				} else {
					if (yych <= '/') goto yy3;
					if (yych <= '9') goto yy74;
					goto yy3;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= ';') goto yy71;
					goto yy3;
				} else {
					if (yych == '\\') goto yy3;
					goto yy71;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych == 0x00000085) goto yy71;
				if (yych <= 0x0000009F) goto yy3;
				goto yy71;
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy3;
					goto yy71;
				} else {
					if (yych == 0x0000180E) goto yy71;
					goto yy3;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy71;
					goto yy3;
				} else {
					if (yych <= 0x00002029) goto yy71;
					if (yych <= 0x0000202E) goto yy3;
					goto yy71;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy3;
					goto yy71;
				} else {
					if (yych == 0x00003000) goto yy71;
					goto yy3;
				}
			}
		}
	}
yy8:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy67;
				if (yych <= 0x00000008) goto yy3;
				if (yych <= '\r') goto yy67;
				goto yy3;
			} else {
				if (yych == '!') goto yy3;
				if (yych <= '#') goto yy67;
				goto yy3;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy67;
				if (yych == ';') goto yy67;
				goto yy3;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy67;
					goto yy3;
				} else {
					if (yych <= ']') goto yy67;
					if (yych <= 0x00000084) goto yy3;
					goto yy67;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy67;
				if (yych <= 0x0000167F) goto yy3;
				goto yy67;
			} else {
				if (yych == 0x0000180E) goto yy67;
				if (yych <= 0x00001FFF) goto yy3;
				goto yy67;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy3;
				if (yych <= 0x00002029) goto yy67;
				if (yych <= 0x0000202E) goto yy3;
				goto yy67;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy3;
					goto yy67;
				} else {
					if (yych == 0x00003000) goto yy67;
					goto yy3;
				}
			}
		}
	}
yy9:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x0000001F) {
			if (yych <= 0x00000000) goto yy62;
			if (yych <= 0x00000008) goto yy3;
			if (yych <= '\r') goto yy62;
			goto yy3;
		} else {
			if (yych == '\'') goto yy3;
			if (yych <= '+') goto yy62;
			goto yy3;
		}
	} else {
		if (yych <= '}') {
			if (yych == '`') goto yy3;
			if (yych <= 'z') goto yy62;
			goto yy3;
		} else {
			if (yych == 0x0000007F) goto yy3;
			if (yych <= 0x0000FFFF) goto yy62;
			goto yy3;
		}
	}
yy10:
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x0000001F) {
			if (yych <= 0x00000000) goto yy62;
			if (yych <= 0x00000008) goto yy11;
			if (yych <= '\r') goto yy62;
		} else {
			if (yych == '\'') goto yy11;
			if (yych <= '+') goto yy62;
		}
	} else {
		if (yych <= '}') {
			if (yych == '`') goto yy11;
			if (yych <= 'z') goto yy62;
		} else {
			if (yych == 0x0000007F) goto yy11;
			if (yych <= 0x0000FFFF) goto yy62;
		}
	}
yy11:
#line 437 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            continue;
        }
#line 712 "<stdout>"
yy12:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'x') goto yy58;
	goto yy3;
yy13:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	goto yy44;
yy14:
	yych = *++YYCURSOR;
	goto yy41;
yy15:
	yych = *++YYCURSOR;
	goto yy39;
yy16:
	yych = *++YYCURSOR;
	if (yych == '@') goto yy36;
	goto yy34;
yy17:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	goto yy27;
yy18:
	++YYCURSOR;
#line 419 "src/scanner.re"
	{
            yylval->charValue = YYTOKEN[0];
            YYTOKEN = YYCURSOR;
            return RIGHT_PAREN;
        }
#line 744 "<stdout>"
yy20:
	++YYCURSOR;
#line 424 "src/scanner.re"
	{
            yylval->charValue = YYTOKEN[0];
            YYTOKEN = YYCURSOR;
            return LEFT_PAREN;
        }
#line 753 "<stdout>"
yy22:
	yych = *++YYCURSOR;
	goto yy11;
yy23:
	++YYCURSOR;
#line 441 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            return END_OF_FILE;
        }
#line 764 "<stdout>"
yy25:
	yych = *++YYCURSOR;
	goto yy3;
yy26:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy27:
	if (yych <= '\r') {
		if (yych <= '\t') {
			if (yych <= 0x00000000) goto yy33;
			goto yy26;
		} else {
			if (yych <= '\n') goto yy33;
			if (yych <= '\f') goto yy26;
		}
	} else {
		if (yych <= 0x00000085) {
			if (yych <= 0x00000084) goto yy26;
			goto yy31;
		} else {
			if (yych == 0x00002028) goto yy31;
			goto yy26;
		}
	}
yy28:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '\r') {
		if (yych <= '\t') {
			if (yych <= 0x00000000) goto yy33;
			goto yy26;
		} else {
			if (yych <= '\n') goto yy33;
			if (yych <= '\f') goto yy26;
			goto yy28;
		}
	} else {
		if (yych <= 0x00000085) {
			if (yych <= 0x00000084) goto yy26;
			goto yy31;
		} else {
			if (yych == 0x00002028) goto yy31;
			goto yy26;
		}
	}
yy30:
#line 415 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            continue;
        }
#line 819 "<stdout>"
yy31:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '\r') {
		if (yych <= '\t') {
			if (yych >= 0x00000001) goto yy26;
		} else {
			if (yych <= '\n') goto yy33;
			if (yych <= '\f') goto yy26;
			goto yy28;
		}
	} else {
		if (yych <= 0x00000085) {
			if (yych <= 0x00000084) goto yy26;
			goto yy31;
		} else {
			if (yych == 0x00002028) goto yy31;
			goto yy26;
		}
	}
yy33:
	yych = *++YYCURSOR;
	goto yy30;
yy34:
	++YYCURSOR;
#line 393 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_UNQUOTE; }
#line 852 "<stdout>"
yy36:
	yych = *++YYCURSOR;
	++YYCURSOR;
#line 388 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_UNQUOTESPLICING;
        }
#line 862 "<stdout>"
yy39:
	++YYCURSOR;
#line 383 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_QUOTE;
        }
#line 871 "<stdout>"
yy41:
	++YYCURSOR;
#line 378 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_QUASIQUOTE;
        }
#line 880 "<stdout>"
yy43:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy44:
	if (yych == '"') goto yy47;
	if (yych != '\\') goto yy43;
yy45:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'u') {
		if (yych <= '\\') {
			if (yych <= '\r') {
				if (yych <= '\t') {
					if (yych >= '\t') goto yy51;
				} else {
					if (yych <= '\n') goto yy53;
					if (yych >= '\r') goto yy55;
				}
			} else {
				if (yych <= '!') {
					if (yych == ' ') goto yy51;
				} else {
					if (yych <= '"') goto yy43;
					if (yych >= '\\') goto yy43;
				}
			}
		} else {
			if (yych <= 'm') {
				if (yych <= 'b') {
					if (yych >= 'a') goto yy43;
				} else {
					if (yych == 'f') goto yy43;
				}
			} else {
				if (yych <= 'r') {
					if (yych <= 'n') goto yy43;
					if (yych >= 'r') goto yy43;
				} else {
					if (yych == 't') goto yy43;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'w') {
					if (yych <= 'v') goto yy43;
				} else {
					if (yych <= 'x') goto yy50;
					if (yych >= 0x00000085) goto yy53;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy51;
				} else {
					if (yych <= 0x00001680) goto yy51;
					if (yych >= 0x0000180E) goto yy51;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych >= 0x00002000) goto yy51;
				} else {
					if (yych == 0x00002028) goto yy53;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy51;
					if (yych >= 0x0000205F) goto yy51;
				} else {
					if (yych == 0x00003000) goto yy51;
				}
			}
		}
	}
yy46:
	YYCURSOR = YYMARKER;
	if (yyaccept <= 2) {
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy3;
			} else {
				goto yy11;
			}
		} else {
			goto yy30;
		}
	} else {
		if (yyaccept <= 4) {
			if (yyaccept <= 3) {
				goto yy65;
			} else {
				goto yy78;
			}
		} else {
			goto yy742;
		}
	}
yy47:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy48;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy48;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy48;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy48;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy48;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy48;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy48:
	++YYCURSOR;
#line 366 "src/scanner.re"
	{

            YYCURSOR--;
            yylval->stringValue = ucs4string(YYTOKEN + 1, (YYCURSOR - YYTOKEN) - 2);
            YYTOKEN = YYCURSOR;
            return STRING;
        }
#line 1040 "<stdout>"
yy50:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy56;
		goto yy46;
	} else {
		if (yych <= 'F') goto yy56;
		if (yych <= '`') goto yy46;
		if (yych <= 'f') goto yy56;
		goto yy46;
	}
yy51:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00001680) {
		if (yych <= 0x0000001F) {
			if (yych <= '\n') {
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\t') goto yy51;
			} else {
				if (yych == '\r') goto yy55;
				goto yy46;
			}
		} else {
			if (yych <= 0x00000085) {
				if (yych <= ' ') goto yy51;
				if (yych <= 0x00000084) goto yy46;
			} else {
				if (yych == 0x000000A0) goto yy51;
				if (yych <= 0x0000167F) goto yy46;
				goto yy51;
			}
		}
	} else {
		if (yych <= 0x00002028) {
			if (yych <= 0x00001FFF) {
				if (yych == 0x0000180E) goto yy51;
				goto yy46;
			} else {
				if (yych <= 0x0000200A) goto yy51;
				if (yych <= 0x00002027) goto yy46;
			}
		} else {
			if (yych <= 0x0000205E) {
				if (yych == 0x0000202F) goto yy51;
				goto yy46;
			} else {
				if (yych <= 0x0000205F) goto yy51;
				if (yych == 0x00003000) goto yy51;
				goto yy46;
			}
		}
	}
yy53:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x0000167F) {
		if (yych <= '!') {
			if (yych <= '\t') {
				if (yych <= 0x00000008) goto yy43;
				goto yy53;
			} else {
				if (yych == ' ') goto yy53;
				goto yy43;
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '"') goto yy47;
				if (yych <= '[') goto yy43;
				goto yy45;
			} else {
				if (yych == 0x000000A0) goto yy53;
				goto yy43;
			}
		}
	} else {
		if (yych <= 0x0000202E) {
			if (yych <= 0x0000180E) {
				if (yych <= 0x00001680) goto yy53;
				if (yych <= 0x0000180D) goto yy43;
				goto yy53;
			} else {
				if (yych <= 0x00001FFF) goto yy43;
				if (yych <= 0x0000200A) goto yy53;
				goto yy43;
			}
		} else {
			if (yych <= 0x0000205F) {
				if (yych <= 0x0000202F) goto yy53;
				if (yych <= 0x0000205E) goto yy43;
				goto yy53;
			} else {
				if (yych == 0x00003000) goto yy53;
				goto yy43;
			}
		}
	}
yy55:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x000000A0) {
		if (yych <= '"') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000008) goto yy43;
				if (yych <= '\n') goto yy53;
				goto yy43;
			} else {
				if (yych <= ' ') goto yy53;
				if (yych <= '!') goto yy43;
				goto yy47;
			}
		} else {
			if (yych <= 0x00000084) {
				if (yych == '\\') goto yy45;
				goto yy43;
			} else {
				if (yych <= 0x00000085) goto yy53;
				if (yych <= 0x0000009F) goto yy43;
				goto yy53;
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000180D) {
				if (yych == 0x00001680) goto yy53;
				goto yy43;
			} else {
				if (yych <= 0x0000180E) goto yy53;
				if (yych <= 0x00001FFF) goto yy43;
				goto yy53;
			}
		} else {
			if (yych <= 0x0000205E) {
				if (yych == 0x0000202F) goto yy53;
				goto yy43;
			} else {
				if (yych <= 0x0000205F) goto yy53;
				if (yych == 0x00003000) goto yy53;
				goto yy43;
			}
		}
	}
yy56:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= ';') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy56;
		if (yych <= ':') goto yy46;
		goto yy43;
	} else {
		if (yych <= 'F') {
			if (yych <= '@') goto yy46;
			goto yy56;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy56;
			goto yy46;
		}
	}
yy58:
	yych = *++YYCURSOR;
	if (yych == ';') goto yy46;
	goto yy60;
yy59:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy60:
	if (yych <= ';') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy59;
		if (yych <= ':') goto yy46;
	} else {
		if (yych <= 'F') {
			if (yych <= '@') goto yy46;
			goto yy59;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy59;
			goto yy46;
		}
	}
yy61:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy62:
	if (yych <= '}') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy67;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy67;
					if (yych <= 0x0000001F) goto yy46;
					goto yy67;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy67;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy67;
					goto yy61;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= ',') goto yy46;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'z') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x0000009F) {
				if (yych <= 0x0000007F) {
					if (yych <= '~') goto yy61;
					goto yy46;
				} else {
					if (yych != 0x00000085) goto yy61;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x000000A0) goto yy63;
					if (yych <= 0x0000167F) goto yy61;
				} else {
					if (yych != 0x0000180E) goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych >= 0x0000200B) goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych != 0x0000205F) goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy63:
	yyaccept = 3;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '}') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy67;
				} else {
					if (yych <= '\r') goto yy67;
					if (yych >= ' ') goto yy67;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy67;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy65;
					if (yych <= ')') goto yy67;
					goto yy61;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych >= '-') goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy65;
					if (yych <= 'z') goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x0000009F) {
				if (yych <= 0x0000007F) {
					if (yych <= '~') goto yy61;
				} else {
					if (yych == 0x00000085) goto yy63;
					goto yy61;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x000000A0) goto yy63;
					if (yych <= 0x0000167F) goto yy61;
					goto yy63;
				} else {
					if (yych == 0x0000180E) goto yy63;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
				}
			}
		}
	}
yy65:
#line 354 "src/scanner.re"
	{
            YYCURSOR--;
            yylval->stringValue = ucs4string(YYTOKEN, (YYCURSOR - YYTOKEN));
            YYTOKEN = YYCURSOR;
            return IDENTIFIER;
            }
#line 1409 "<stdout>"
yy66:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych == 'x') goto yy68;
	goto yy46;
yy67:
	yych = *++YYCURSOR;
	goto yy65;
yy68:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych >= ':') goto yy46;
	} else {
		if (yych <= 'F') goto yy69;
		if (yych <= '`') goto yy46;
		if (yych >= 'g') goto yy46;
	}
yy69:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= ';') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy69;
		if (yych <= ':') goto yy46;
		goto yy61;
	} else {
		if (yych <= 'F') {
			if (yych <= '@') goto yy46;
			goto yy69;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy69;
			goto yy46;
		}
	}
yy71:
	++YYCURSOR;
#line 373 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return DOT;
        }
#line 1458 "<stdout>"
yy73:
	yych = *++YYCURSOR;
	if (yych == '.') goto yy157;
	goto yy46;
yy74:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '-') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych == '+') goto yy80;
					if (yych <= ',') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy74;
					goto yy46;
				} else {
					if (yych <= ';') goto yy77;
					if (yych == '@') goto yy79;
					goto yy46;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy76;
					if (yych <= 'K') goto yy46;
				} else {
					if (yych == 'S') goto yy76;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'c') {
					if (yych == ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'f') goto yy76;
					if (yych <= 'k') goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych != 's') goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy77;
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy76:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy154;
		goto yy46;
	} else {
		if (yych <= '-') goto yy154;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy155;
		goto yy46;
	}
yy77:
	++YYCURSOR;
yy78:
#line 336 "src/scanner.re"
	{
           YYCURSOR--;
           yylval->stringValue =  ucs4string(YYTOKEN, (YYCURSOR - YYTOKEN));
           YYTOKEN = YYCURSOR;
           return NUMBER;
       }
#line 1575 "<stdout>"
yy79:
	yych = *++YYCURSOR;
	if (yych <= '-') {
		if (yych == '+') goto yy118;
		if (yych <= ',') goto yy46;
		goto yy118;
	} else {
		if (yych <= '.') goto yy121;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy119;
		goto yy46;
	}
yy80:
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych == '.') goto yy85;
		if (yych <= '/') goto yy46;
		goto yy83;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy46;
		} else {
			if (yych == 'n') goto yy82;
			goto yy46;
		}
	}
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy77;
				if (yych <= 'Z') goto yy46;
				goto yy77;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 'n') goto yy115;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy82:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy111;
	goto yy46;
yy83:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 'R') {
		if (yych <= '9') {
			if (yych <= '-') goto yy46;
			if (yych <= '.') goto yy93;
			if (yych <= '/') goto yy95;
			goto yy83;
		} else {
			if (yych <= 'F') {
				if (yych <= 'C') goto yy46;
				goto yy94;
			} else {
				if (yych == 'L') goto yy94;
				goto yy46;
			}
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') {
				if (yych <= 'S') goto yy94;
				goto yy46;
			} else {
				if (yych <= 'f') goto yy94;
				if (yych <= 'h') goto yy46;
				goto yy89;
			}
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
				goto yy94;
			} else {
				if (yych == 's') goto yy94;
				goto yy46;
			}
		}
	}
yy85:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy86:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'F') {
			if (yych <= '/') goto yy46;
			if (yych <= '9') goto yy86;
			if (yych <= 'C') goto yy46;
		} else {
			if (yych == 'L') goto yy88;
			if (yych <= 'R') goto yy46;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') goto yy46;
			if (yych <= 'f') goto yy88;
			if (yych <= 'h') goto yy46;
			goto yy89;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
			} else {
				if (yych != 's') goto yy46;
			}
		}
	}
yy88:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy90;
		goto yy46;
	} else {
		if (yych <= '-') goto yy90;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy91;
		goto yy46;
	}
yy89:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy77;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy77;
				if (yych == ';') goto yy77;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy77;
					goto yy46;
				} else {
					if (yych <= ']') goto yy77;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy77;
				if (yych <= 0x0000167F) goto yy46;
				goto yy77;
			} else {
				if (yych == 0x0000180E) goto yy77;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy77;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy90:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy91:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy91;
	if (yych == 'i') goto yy89;
	goto yy46;
yy93:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy102;
			if (yych <= 'F') goto yy103;
			goto yy102;
		} else {
			if (yych <= 'L') goto yy103;
			if (yych <= 'R') goto yy102;
			goto yy103;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy102;
			if (yych <= 'f') goto yy103;
			goto yy102;
		} else {
			if (yych <= 'l') goto yy103;
			if (yych == 's') goto yy103;
			goto yy102;
		}
	}
yy94:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy98;
		goto yy46;
	} else {
		if (yych <= '-') goto yy98;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy99;
		goto yy46;
	}
yy95:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy96:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy96;
	if (yych == 'i') goto yy89;
	goto yy46;
yy98:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy99:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy99;
	if (yych == 'i') goto yy89;
	goto yy46;
yy101:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
yy102:
	if (yych <= 'S') {
		if (yych <= 'F') {
			if (yych <= '/') goto yy46;
			if (yych <= '9') goto yy101;
			if (yych <= 'C') goto yy46;
			goto yy107;
		} else {
			if (yych == 'L') goto yy107;
			if (yych <= 'R') goto yy46;
			goto yy107;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') goto yy46;
			if (yych <= 'f') goto yy107;
			if (yych <= 'h') goto yy46;
			goto yy89;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
				goto yy107;
			} else {
				if (yych == 's') goto yy107;
				goto yy46;
			}
		}
	}
yy103:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy104;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy105;
		goto yy46;
	}
yy104:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy105:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy105;
	if (yych == 'i') goto yy89;
	goto yy46;
yy107:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy108;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy109;
		goto yy46;
	}
yy108:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy109:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy109;
	if (yych == 'i') goto yy89;
	goto yy46;
yy111:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy114:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy89;
	goto yy46;
yy115:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy114;
	goto yy46;
yy118:
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych == '.') goto yy121;
		if (yych <= '/') goto yy46;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy46;
			goto yy147;
		} else {
			if (yych == 'n') goto yy146;
			goto yy46;
		}
	}
yy119:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= ']') {
		if (yych <= '/') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych <= '-') goto yy46;
					if (yych <= '.') goto yy128;
					goto yy130;
				}
			}
		} else {
			if (yych <= 'K') {
				if (yych <= ';') {
					if (yych <= '9') goto yy119;
					if (yych <= ':') goto yy46;
					goto yy77;
				} else {
					if (yych <= 'C') goto yy46;
					if (yych <= 'F') goto yy129;
					goto yy46;
				}
			} else {
				if (yych <= 'S') {
					if (yych <= 'L') goto yy129;
					if (yych <= 'R') goto yy46;
					goto yy129;
				} else {
					if (yych == '[') goto yy77;
					if (yych <= '\\') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x00001680) {
			if (yych <= 's') {
				if (yych <= 'k') {
					if (yych <= 'c') goto yy46;
					if (yych <= 'f') goto yy129;
					goto yy46;
				} else {
					if (yych <= 'l') goto yy129;
					if (yych <= 'r') goto yy46;
					goto yy129;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x000000A0) goto yy77;
					if (yych <= 0x0000167F) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x00001FFF) {
					if (yych == 0x0000180E) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy121:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy122:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'c') {
		if (yych <= ':') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy122;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy77;
					if (yych <= 'C') goto yy46;
				} else {
					if (yych != 'L') goto yy46;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'S') goto yy124;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy124;
					if (yych <= 'k') goto yy46;
				} else {
					if (yych != 's') goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy77;
					if (yych <= 0x0000009F) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00001680) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy124:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy125;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy126;
		goto yy46;
	}
yy125:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy126:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy126;
				if (yych <= ':') goto yy46;
				goto yy77;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy128:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy137;
			if (yych <= 'F') goto yy138;
			goto yy137;
		} else {
			if (yych <= 'L') goto yy138;
			if (yych <= 'R') goto yy137;
			goto yy138;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy137;
			if (yych <= 'f') goto yy138;
			goto yy137;
		} else {
			if (yych <= 'l') goto yy138;
			if (yych == 's') goto yy138;
			goto yy137;
		}
	}
yy129:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy133;
		goto yy46;
	} else {
		if (yych <= '-') goto yy133;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy134;
		goto yy46;
	}
yy130:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy131:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy131;
				if (yych <= ':') goto yy46;
				goto yy77;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy133:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy134:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy134;
				if (yych <= ':') goto yy46;
				goto yy77;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy136:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
yy137:
	if (yych <= 'c') {
		if (yych <= ':') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy136;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy77;
					if (yych <= 'C') goto yy46;
					goto yy142;
				} else {
					if (yych == 'L') goto yy142;
					goto yy46;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'S') goto yy142;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy142;
					if (yych <= 'k') goto yy46;
					goto yy142;
				} else {
					if (yych == 's') goto yy142;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy77;
					if (yych <= 0x0000009F) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00001680) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy138:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy139;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy140;
		goto yy46;
	}
yy139:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy140:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy140;
				if (yych <= ':') goto yy46;
				goto yy77;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy142:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy143;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy144;
		goto yy46;
	}
yy143:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy144:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy144;
				if (yych <= ':') goto yy46;
				goto yy77;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy77;
				} else {
					if (yych == ']') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy146:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy151;
	goto yy46;
yy147:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy89;
	goto yy46;
yy151:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy89;
	goto yy46;
yy154:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy155:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= '/') goto yy46;
					goto yy155;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy77;
					goto yy46;
				} else {
					if (yych <= '@') goto yy79;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy157:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy67;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy67;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy67;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy67;
				if (yych == ';') goto yy67;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy67;
					goto yy46;
				} else {
					if (yych <= ']') goto yy67;
					if (yych <= 0x00000084) goto yy46;
					goto yy67;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy67;
				if (yych <= 0x0000167F) goto yy46;
				goto yy67;
			} else {
				if (yych == 0x0000180E) goto yy67;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy67;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy67;
				if (yych <= 0x0000202E) goto yy46;
				goto yy67;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy67;
				} else {
					if (yych == 0x00003000) goto yy67;
					goto yy46;
				}
			}
		}
	}
yy158:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy169;
			if (yych <= 'F') goto yy170;
			goto yy169;
		} else {
			if (yych <= 'L') goto yy170;
			if (yych <= 'R') goto yy169;
			goto yy170;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy169;
			if (yych <= 'f') goto yy170;
			goto yy169;
		} else {
			if (yych <= 'l') goto yy170;
			if (yych == 's') goto yy170;
			goto yy169;
		}
	}
yy159:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
yy160:
	if (yych <= 'Z') {
		if (yych <= '-') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych == '+') goto yy80;
					if (yych <= ',') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') {
					if (yych <= '.') goto yy158;
					if (yych <= '/') goto yy162;
					goto yy159;
				} else {
					if (yych == ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				}
			} else {
				if (yych <= 'K') {
					if (yych <= 'C') goto yy46;
					if (yych >= 'G') goto yy46;
				} else {
					if (yych <= 'L') goto yy161;
					if (yych != 'S') goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= ']') {
					if (yych == '\\') goto yy46;
					goto yy77;
				} else {
					if (yych <= 'c') goto yy46;
					if (yych <= 'f') goto yy161;
					if (yych <= 'k') goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych != 's') goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy77;
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy161:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy165;
		goto yy46;
	} else {
		if (yych <= '-') goto yy165;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy166;
		goto yy46;
	}
yy162:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy163:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= '/') goto yy46;
					goto yy163;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy77;
					goto yy46;
				} else {
					if (yych <= '@') goto yy79;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy165:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy166:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= '/') goto yy46;
					goto yy166;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy77;
					goto yy46;
				} else {
					if (yych <= '@') goto yy79;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy168:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy169:
	if (yych <= '[') {
		if (yych <= '-') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				} else {
					if (yych == '+') goto yy80;
					if (yych <= ',') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy168;
					goto yy46;
				} else {
					if (yych <= ';') goto yy77;
					if (yych == '@') goto yy79;
					goto yy46;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy174;
					if (yych <= 'K') goto yy46;
					goto yy174;
				} else {
					if (yych == 'S') goto yy174;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'c') {
					if (yych == ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'f') goto yy174;
					if (yych <= 'k') goto yy46;
					goto yy174;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy174;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy77;
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy170:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy171;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy172;
		goto yy46;
	}
yy171:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy172:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= '/') goto yy46;
					goto yy172;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy77;
					goto yy46;
				} else {
					if (yych <= '@') goto yy79;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy174:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy175;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy176;
		goto yy46;
	}
yy175:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy176:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= '/') goto yy46;
					goto yy176;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy77;
					goto yy46;
				} else {
					if (yych <= '@') goto yy79;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy178:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '}') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy67;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy67;
					if (yych <= 0x0000001F) goto yy46;
					goto yy67;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy178;
					if (yych <= '#') goto yy67;
					goto yy178;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy67;
					goto yy178;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= ',') goto yy46;
					goto yy178;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy178;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy295;
					if (yych <= ']') goto yy67;
					goto yy178;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'z') goto yy178;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x0000009F) {
				if (yych <= 0x0000007F) {
					if (yych <= '~') goto yy178;
					goto yy46;
				} else {
					if (yych == 0x00000085) goto yy293;
					goto yy178;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x000000A0) goto yy293;
					if (yych <= 0x0000167F) goto yy178;
					goto yy293;
				} else {
					if (yych == 0x0000180E) goto yy293;
					goto yy178;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy293;
					goto yy178;
				} else {
					if (yych <= 0x00002029) goto yy293;
					if (yych <= 0x0000202E) goto yy178;
					goto yy293;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy293;
					goto yy178;
				} else {
					if (yych <= 0x00003000) goto yy293;
					if (yych <= 0x0000FFFF) goto yy178;
					goto yy46;
				}
			}
		}
	}
yy180:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych <= '9') goto yy287;
	goto yy62;
yy181:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 10) YYFILL(10);
	yych = *YYCURSOR;
	if (yych <= '_') {
		if (yych <= '/') {
			if (yych <= '&') {
				if (yych <= 0x0000001F) {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					if (yych <= '\r') goto yy189;
					goto yy46;
				} else {
					if (yych == '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					goto yy192;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '-') goto yy192;
					if (yych <= '.') goto yy269;
					goto yy271;
				}
			}
		} else {
			if (yych <= 'K') {
				if (yych <= '?') {
					if (yych <= '9') goto yy181;
					if (yych == ';') goto yy189;
					goto yy61;
				} else {
					if (yych <= '@') goto yy191;
					if (yych <= 'C') goto yy61;
					if (yych <= 'F') goto yy270;
					goto yy61;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= 'L') goto yy270;
					if (yych == 'S') goto yy270;
					goto yy61;
				} else {
					if (yych == '\\') goto yy66;
					if (yych <= ']') goto yy189;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000009F) {
			if (yych <= 'r') {
				if (yych <= 'h') {
					if (yych <= '`') goto yy46;
					if (yych <= 'c') goto yy61;
					if (yych <= 'f') goto yy270;
					goto yy61;
				} else {
					if (yych <= 'i') goto yy193;
					if (yych == 'l') goto yy270;
					goto yy61;
				}
			} else {
				if (yych <= '~') {
					if (yych <= 's') goto yy270;
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002027) {
				if (yych <= 0x0000180D) {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych <= 0x00002029) goto yy190;
					if (yych == 0x0000202F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002FFF) {
						if (yych <= 0x0000205F) goto yy190;
						goto yy61;
					} else {
						if (yych <= 0x00003000) goto yy190;
						if (yych <= 0x0000FFFF) goto yy61;
						goto yy46;
					}
				}
			}
		}
	}
yy183:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy189;
				if (yych <= 0x00000008) goto yy62;
				if (yych <= '\r') goto yy189;
				goto yy62;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy189;
					goto yy62;
				} else {
					if (yych <= '#') goto yy189;
					if (yych <= '\'') goto yy62;
					goto yy189;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy189;
				if (yych <= 'Z') goto yy62;
				goto yy189;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy62;
					goto yy189;
				} else {
					if (yych == 'n') goto yy266;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy190;
				if (yych == 0x000000A0) goto yy190;
				goto yy62;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy190;
					goto yy62;
				} else {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy62;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy62;
				if (yych <= 0x00002029) goto yy190;
				if (yych <= 0x0000202E) goto yy62;
				goto yy190;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy184:
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy62;
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy62;
yy188:
	yych = *++YYCURSOR;
	if (yych <= ']') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych >= 0x00000001) goto yy62;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy62;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy62;
				} else {
					if (yych <= '\'') goto yy62;
					if (yych >= '*') goto yy62;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= ',') {
					if (yych <= '+') goto yy192;
					goto yy62;
				} else {
					if (yych <= '-') goto yy192;
					if (yych <= ':') goto yy62;
				}
			} else {
				if (yych <= 'Z') {
					if (yych == '@') goto yy191;
					goto yy62;
				} else {
					if (yych == '\\') goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'i') {
					if (yych <= 'h') goto yy62;
					goto yy193;
				} else {
					if (yych == 0x00000085) goto yy190;
					goto yy62;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy190;
					goto yy62;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy62;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy62;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy62;
					if (yych <= 0x00002029) goto yy190;
					goto yy62;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy189:
	yych = *++YYCURSOR;
	goto yy78;
yy190:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x0000001F) {
			if (yych <= 0x00000000) goto yy62;
			if (yych <= 0x00000008) goto yy78;
			if (yych <= '\r') goto yy62;
			goto yy78;
		} else {
			if (yych == '\'') goto yy78;
			if (yych <= '+') goto yy62;
			goto yy78;
		}
	} else {
		if (yych <= '}') {
			if (yych == '`') goto yy78;
			if (yych <= 'z') goto yy62;
			goto yy78;
		} else {
			if (yych == 0x0000007F) goto yy78;
			if (yych <= 0x0000FFFF) goto yy62;
			goto yy78;
		}
	}
yy191:
	yych = *++YYCURSOR;
	if (yych <= '-') {
		if (yych == '+') goto yy230;
		if (yych <= ',') goto yy62;
		goto yy230;
	} else {
		if (yych <= '.') goto yy231;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy232;
		goto yy62;
	}
yy192:
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych == '.') goto yy194;
		if (yych <= '/') goto yy62;
		goto yy195;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy62;
			goto yy197;
		} else {
			if (yych == 'n') goto yy198;
			goto yy62;
		}
	}
yy193:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy189;
				if (yych <= 0x00000008) goto yy62;
				if (yych <= '\r') goto yy189;
				goto yy62;
			} else {
				if (yych == '!') goto yy62;
				if (yych <= '#') goto yy189;
				goto yy62;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy189;
				if (yych == ';') goto yy189;
				goto yy62;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy189;
					goto yy62;
				} else {
					if (yych <= ']') goto yy189;
					if (yych <= 0x00000084) goto yy62;
					goto yy190;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy190;
				if (yych <= 0x0000167F) goto yy62;
				goto yy190;
			} else {
				if (yych == 0x0000180E) goto yy190;
				if (yych <= 0x00001FFF) goto yy62;
				goto yy190;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy62;
				if (yych <= 0x00002029) goto yy190;
				if (yych <= 0x0000202E) goto yy62;
				goto yy190;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy194:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych <= '9') goto yy224;
	goto yy62;
yy195:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 'c') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy67;
					goto yy61;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '-') goto yy61;
					if (yych <= '.') goto yy206;
					goto yy208;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'C') {
					if (yych <= '9') goto yy195;
					if (yych == ';') goto yy67;
					goto yy61;
				} else {
					if (yych <= 'F') goto yy207;
					if (yych == 'L') goto yy207;
					goto yy61;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'S') goto yy207;
					if (yych <= 'Z') goto yy61;
					if (yych <= '[') goto yy67;
					goto yy66;
				} else {
					if (yych <= ']') goto yy67;
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 's') {
				if (yych <= 'i') {
					if (yych <= 'f') goto yy207;
					if (yych <= 'h') goto yy61;
					goto yy193;
				} else {
					if (yych == 'l') goto yy207;
					if (yych <= 'r') goto yy61;
					goto yy207;
				}
			} else {
				if (yych <= 0x0000007F) {
					if (yych <= 'z') goto yy61;
					if (yych == '~') goto yy61;
					goto yy46;
				} else {
					if (yych == 0x00000085) goto yy63;
					if (yych <= 0x0000009F) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych == 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					if (yych <= 0x00002027) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy63;
					if (yych <= 0x0000205E) goto yy61;
					goto yy63;
				} else {
					if (yych == 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy197:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy189;
				if (yych <= 0x00000008) goto yy62;
				if (yych <= '\r') goto yy189;
				goto yy62;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy189;
					goto yy62;
				} else {
					if (yych <= '#') goto yy189;
					if (yych <= '\'') goto yy62;
					goto yy189;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy189;
				if (yych <= 'Z') goto yy62;
				goto yy189;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy62;
					goto yy189;
				} else {
					if (yych == 'n') goto yy203;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy190;
				if (yych == 0x000000A0) goto yy190;
				goto yy62;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy190;
					goto yy62;
				} else {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy62;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy62;
				if (yych <= 0x00002029) goto yy190;
				if (yych <= 0x0000202E) goto yy62;
				goto yy190;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy198:
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy62;
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy62;
yy202:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy193;
	goto yy62;
yy203:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy202;
	goto yy62;
yy206:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'F') {
			if (yych <= '/') goto yy62;
			if (yych <= '9') goto yy214;
			if (yych <= 'C') goto yy62;
			goto yy216;
		} else {
			if (yych == 'L') goto yy216;
			if (yych <= 'R') goto yy62;
			goto yy216;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') goto yy62;
			if (yych <= 'f') goto yy216;
			if (yych <= 'h') goto yy62;
			goto yy193;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy62;
				goto yy216;
			} else {
				if (yych == 's') goto yy216;
				goto yy62;
			}
		}
	}
yy207:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy211;
		goto yy62;
	} else {
		if (yych <= '-') goto yy211;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy212;
		goto yy62;
	}
yy208:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy209:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'i') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy67;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy67;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy67;
					if (yych <= '+') goto yy61;
					goto yy46;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy209;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'h') goto yy61;
					goto yy193;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy211:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy212:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'i') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy67;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy67;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy67;
					if (yych <= '+') goto yy61;
					goto yy46;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy212;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'h') goto yy61;
					goto yy193;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy214:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'f') {
		if (yych <= ':') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy67;
					goto yy61;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy214;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'S') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy67;
					if (yych <= 'C') goto yy61;
					goto yy220;
				} else {
					if (yych == 'L') goto yy220;
					if (yych <= 'R') goto yy61;
					goto yy220;
				}
			} else {
				if (yych <= ']') {
					if (yych <= 'Z') goto yy61;
					if (yych == '\\') goto yy66;
					goto yy67;
				} else {
					if (yych == '`') goto yy46;
					if (yych <= 'c') goto yy61;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'z') {
				if (yych <= 'k') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych <= 'l') goto yy220;
					if (yych == 's') goto yy220;
					goto yy61;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == '~') goto yy61;
					if (yych <= 0x0000007F) goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x00000085) goto yy63;
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					if (yych <= 0x00002027) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy63;
					if (yych <= 0x0000205E) goto yy61;
					goto yy63;
				} else {
					if (yych == 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy216:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy217;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy218;
		goto yy62;
	}
yy217:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy218:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'i') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy67;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy67;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy67;
					if (yych <= '+') goto yy61;
					goto yy46;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy218;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'h') goto yy61;
					goto yy193;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy220:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy221;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy222;
		goto yy62;
	}
yy221:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy222:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'i') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy67;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy67;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy67;
					if (yych <= '+') goto yy61;
					goto yy46;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy222;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'h') goto yy61;
					goto yy193;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy224:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'f') {
		if (yych <= ':') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy67;
					goto yy61;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy224;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'S') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy67;
					if (yych <= 'C') goto yy61;
				} else {
					if (yych == 'L') goto yy226;
					if (yych <= 'R') goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych <= 'Z') goto yy61;
					if (yych == '\\') goto yy66;
					goto yy67;
				} else {
					if (yych == '`') goto yy46;
					if (yych <= 'c') goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'z') {
				if (yych <= 'k') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych <= 'l') goto yy226;
					if (yych != 's') goto yy61;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == '~') goto yy61;
					if (yych <= 0x0000007F) goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x00000085) goto yy63;
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					if (yych <= 0x00002027) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy63;
					if (yych <= 0x0000205E) goto yy61;
					goto yy63;
				} else {
					if (yych == 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy226:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy227;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy228;
		goto yy62;
	}
yy227:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy228:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'i') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy67;
					if (yych <= 0x00000008) goto yy46;
					goto yy67;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy67;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy67;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy67;
					if (yych <= '+') goto yy61;
					goto yy46;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= '/') goto yy61;
					if (yych <= '9') goto yy228;
					goto yy61;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy61;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy67;
					goto yy61;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'h') goto yy61;
					goto yy193;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= 'z') goto yy61;
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy63;
					if (yych <= 0x0000180D) goto yy61;
					goto yy63;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy63;
					if (yych <= 0x0000202E) goto yy61;
					goto yy63;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy63;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy63;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy230:
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych == '.') goto yy231;
		if (yych <= '/') goto yy62;
		goto yy232;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy62;
			goto yy259;
		} else {
			if (yych == 'n') goto yy258;
			goto yy62;
		}
	}
yy231:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych <= '9') goto yy252;
	goto yy62;
yy232:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy189;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '-') goto yy61;
					if (yych >= '/') goto yy236;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= ';') {
					if (yych <= '9') goto yy232;
					if (yych <= ':') goto yy61;
					goto yy189;
				} else {
					if (yych <= 'C') goto yy61;
					if (yych <= 'F') goto yy235;
					if (yych <= 'K') goto yy61;
					goto yy235;
				}
			} else {
				if (yych <= '[') {
					if (yych == 'S') goto yy235;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'z') {
				if (yych <= 'k') {
					if (yych <= 'c') goto yy61;
					if (yych <= 'f') goto yy235;
					goto yy61;
				} else {
					if (yych <= 'l') goto yy235;
					if (yych == 's') goto yy235;
					goto yy61;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == '~') goto yy61;
					if (yych <= 0x0000007F) goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x00000085) goto yy190;
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= 'c') {
		if (yych <= ':') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy62;
					goto yy189;
				} else {
					if (yych == ' ') goto yy189;
					goto yy62;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy189;
					if (yych <= '\'') goto yy62;
					goto yy189;
				} else {
					if (yych <= '/') goto yy62;
					if (yych <= '9') goto yy242;
					goto yy62;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy189;
					if (yych <= 'C') goto yy62;
					goto yy244;
				} else {
					if (yych == 'L') goto yy244;
					goto yy62;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'S') goto yy244;
					if (yych <= 'Z') goto yy62;
					goto yy189;
				} else {
					if (yych == ']') goto yy189;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy244;
					if (yych <= 'k') goto yy62;
					goto yy244;
				} else {
					if (yych == 's') goto yy244;
					goto yy62;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy190;
					if (yych <= 0x0000009F) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00001680) goto yy190;
					goto yy62;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy62;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy62;
					if (yych <= 0x00002029) goto yy190;
					goto yy62;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy62;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy235:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy239;
		goto yy62;
	} else {
		if (yych <= '-') goto yy239;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy240;
		goto yy62;
	}
yy236:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy237:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy189;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy46;
					goto yy189;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '9') {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy237;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych == '\\') goto yy66;
					goto yy189;
				} else {
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy190;
					if (yych <= 0x0000202E) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy239:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy240:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy189;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy46;
					goto yy189;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '9') {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy240;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych == '\\') goto yy66;
					goto yy189;
				} else {
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy190;
					if (yych <= 0x0000202E) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy242:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'c') {
		if (yych <= '9') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy189;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					goto yy189;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy242;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'C') {
					if (yych == ';') goto yy189;
					goto yy61;
				} else {
					if (yych <= 'F') goto yy248;
					if (yych == 'L') goto yy248;
					goto yy61;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'S') goto yy248;
					if (yych <= 'Z') goto yy61;
					if (yych <= '[') goto yy189;
					goto yy66;
				} else {
					if (yych <= ']') goto yy189;
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= '}') {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy248;
					if (yych <= 'k') goto yy61;
					goto yy248;
				} else {
					if (yych == 's') goto yy248;
					if (yych <= 'z') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 0x0000007F) goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x00000085) goto yy190;
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy244:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy245;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy246;
		goto yy62;
	}
yy245:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy246:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy189;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy46;
					goto yy189;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '9') {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy246;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych == '\\') goto yy66;
					goto yy189;
				} else {
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy190;
					if (yych <= 0x0000202E) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy248:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy249;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy250;
		goto yy62;
	}
yy249:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy250:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy189;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy46;
					goto yy189;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '9') {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy250;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych == '\\') goto yy66;
					goto yy189;
				} else {
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy190;
					if (yych <= 0x0000202E) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy252:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'c') {
		if (yych <= '9') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych == '!') goto yy61;
					goto yy189;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '&') goto yy61;
					if (yych <= '\'') goto yy46;
					goto yy189;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy252;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'C') {
					if (yych == ';') goto yy189;
					goto yy61;
				} else {
					if (yych <= 'F') goto yy254;
					if (yych != 'L') goto yy61;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'S') goto yy254;
					if (yych <= 'Z') goto yy61;
					if (yych <= '[') goto yy189;
					goto yy66;
				} else {
					if (yych <= ']') goto yy189;
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= '}') {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy254;
					if (yych <= 'k') goto yy61;
				} else {
					if (yych == 's') goto yy254;
					if (yych <= 'z') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 0x0000007F) goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x00000085) goto yy190;
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy254:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy255;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy256;
		goto yy62;
	}
yy255:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy256:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy189;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy189;
					if (yych <= 0x0000001F) goto yy46;
					goto yy189;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					goto yy61;
				}
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '9') {
					if (yych <= ',') goto yy46;
					if (yych <= '/') goto yy61;
					goto yy256;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= ']') {
					if (yych == '\\') goto yy66;
					goto yy189;
				} else {
					if (yych == '`') goto yy46;
					goto yy61;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '~') {
					if (yych <= '}') goto yy46;
					goto yy61;
				} else {
					if (yych <= 0x0000007F) goto yy46;
					if (yych <= 0x00000084) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00002029) goto yy190;
					if (yych <= 0x0000202E) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy258:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy263;
	goto yy62;
yy259:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy62;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy193;
	goto yy62;
yy263:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy193;
	goto yy62;
yy266:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy62;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy62;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy188;
	goto yy62;
yy269:
	yych = *++YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy62;
					goto yy189;
				} else {
					if (yych == ' ') goto yy189;
					if (yych <= '!') goto yy62;
					goto yy189;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy62;
					if (yych <= ')') goto yy189;
					goto yy62;
				} else {
					if (yych == ',') goto yy62;
					if (yych <= '-') goto yy192;
					goto yy62;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ';') {
					if (yych <= '9') goto yy277;
					if (yych <= ':') goto yy62;
					goto yy189;
				} else {
					if (yych == '@') goto yy191;
					if (yych <= 'C') goto yy62;
					goto yy279;
				}
			} else {
				if (yych <= 'R') {
					if (yych == 'L') goto yy279;
					goto yy62;
				} else {
					if (yych <= 'S') goto yy279;
					if (yych == '[') goto yy189;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy189;
					if (yych <= 'c') goto yy62;
					goto yy279;
				} else {
					if (yych == 'i') goto yy193;
					if (yych <= 'k') goto yy62;
					goto yy279;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy279;
					goto yy62;
				} else {
					if (yych <= 0x00000085) goto yy190;
					if (yych == 0x000000A0) goto yy190;
					goto yy62;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy62;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy62;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy62;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy190;
					goto yy62;
				} else {
					if (yych <= 0x0000205F) goto yy190;
					if (yych == 0x00003000) goto yy190;
					goto yy62;
				}
			}
		}
	}
yy270:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy274;
		goto yy62;
	} else {
		if (yych <= '-') goto yy274;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy275;
		goto yy62;
	}
yy271:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy272:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy189;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					if (yych <= '+') goto yy192;
					goto yy46;
				}
			}
		} else {
			if (yych <= '?') {
				if (yych <= '9') {
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy272;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych <= '@') goto yy191;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x0000007F) {
				if (yych <= 'z') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych == '~') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy61;
					if (yych <= 0x00002029) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy274:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy275:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy189;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					if (yych <= '+') goto yy192;
					goto yy46;
				}
			}
		} else {
			if (yych <= '?') {
				if (yych <= '9') {
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy275;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych <= '@') goto yy191;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x0000007F) {
				if (yych <= 'z') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych == '~') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy61;
					if (yych <= 0x00002029) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy277:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '9') {
			if (yych <= '&') {
				if (yych <= 0x0000001F) {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					if (yych <= '\r') goto yy189;
					goto yy46;
				} else {
					if (yych == '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					goto yy192;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy277;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= '@') {
					if (yych == ';') goto yy189;
					if (yych <= '?') goto yy61;
					goto yy191;
				} else {
					if (yych <= 'C') goto yy61;
					if (yych <= 'F') goto yy283;
					if (yych <= 'K') goto yy61;
					goto yy283;
				}
			} else {
				if (yych <= '[') {
					if (yych == 'S') goto yy283;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 's') {
				if (yych <= 'i') {
					if (yych <= 'c') goto yy61;
					if (yych <= 'f') goto yy283;
					if (yych <= 'h') goto yy61;
					goto yy193;
				} else {
					if (yych == 'l') goto yy283;
					if (yych <= 'r') goto yy61;
					goto yy283;
				}
			} else {
				if (yych <= 0x0000007F) {
					if (yych <= 'z') goto yy61;
					if (yych == '~') goto yy61;
					goto yy46;
				} else {
					if (yych == 0x00000085) goto yy190;
					if (yych <= 0x0000009F) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych == 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy279:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy280;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy281;
		goto yy62;
	}
yy280:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy281:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy189;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					if (yych <= '+') goto yy192;
					goto yy46;
				}
			}
		} else {
			if (yych <= '?') {
				if (yych <= '9') {
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy281;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych <= '@') goto yy191;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x0000007F) {
				if (yych <= 'z') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych == '~') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy61;
					if (yych <= 0x00002029) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy283:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy284;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy285;
		goto yy62;
	}
yy284:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy285:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy189;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					if (yych <= '+') goto yy192;
					goto yy46;
				}
			}
		} else {
			if (yych <= '?') {
				if (yych <= '9') {
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy285;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych <= '@') goto yy191;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x0000007F) {
				if (yych <= 'z') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych == '~') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy61;
					if (yych <= 0x00002029) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy287:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '9') {
			if (yych <= '&') {
				if (yych <= 0x0000001F) {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					if (yych <= '\r') goto yy189;
					goto yy46;
				} else {
					if (yych == '!') goto yy61;
					if (yych <= '#') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '+') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					goto yy192;
				} else {
					if (yych <= ',') goto yy46;
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy287;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= '@') {
					if (yych == ';') goto yy189;
					if (yych <= '?') goto yy61;
					goto yy191;
				} else {
					if (yych <= 'C') goto yy61;
					if (yych <= 'F') goto yy289;
					if (yych <= 'K') goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych == 'S') goto yy289;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 's') {
				if (yych <= 'i') {
					if (yych <= 'c') goto yy61;
					if (yych <= 'f') goto yy289;
					if (yych <= 'h') goto yy61;
					goto yy193;
				} else {
					if (yych == 'l') goto yy289;
					if (yych <= 'r') goto yy61;
				}
			} else {
				if (yych <= 0x0000007F) {
					if (yych <= 'z') goto yy61;
					if (yych == '~') goto yy61;
					goto yy46;
				} else {
					if (yych == 0x00000085) goto yy190;
					if (yych <= 0x0000009F) goto yy61;
					goto yy190;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych == 0x00001680) goto yy190;
					if (yych <= 0x0000180D) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00001FFF) goto yy61;
					if (yych <= 0x0000200A) goto yy190;
					if (yych <= 0x00002027) goto yy61;
					goto yy190;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych == 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy289:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy62;
	} else {
		if (yych <= '-') goto yy290;
		if (yych <= '/') goto yy62;
		if (yych <= '9') goto yy291;
		goto yy62;
	}
yy290:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy62;
	if (yych >= ':') goto yy62;
yy291:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy189;
					if (yych <= 0x00000008) goto yy46;
					goto yy189;
				} else {
					if (yych <= 0x0000001F) goto yy46;
					if (yych <= ' ') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '#') goto yy189;
					if (yych <= '&') goto yy61;
					goto yy46;
				} else {
					if (yych <= ')') goto yy189;
					if (yych <= '*') goto yy61;
					if (yych <= '+') goto yy192;
					goto yy46;
				}
			}
		} else {
			if (yych <= '?') {
				if (yych <= '9') {
					if (yych <= '-') goto yy192;
					if (yych <= '/') goto yy61;
					goto yy291;
				} else {
					if (yych == ';') goto yy189;
					goto yy61;
				}
			} else {
				if (yych <= '[') {
					if (yych <= '@') goto yy191;
					if (yych <= 'Z') goto yy61;
					goto yy189;
				} else {
					if (yych <= '\\') goto yy66;
					if (yych <= ']') goto yy189;
					if (yych <= '_') goto yy61;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x0000007F) {
				if (yych <= 'z') {
					if (yych == 'i') goto yy193;
					goto yy61;
				} else {
					if (yych == '~') goto yy61;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000009F) {
					if (yych == 0x00000085) goto yy190;
					goto yy61;
				} else {
					if (yych <= 0x000000A0) goto yy190;
					if (yych == 0x00001680) goto yy190;
					goto yy61;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy190;
					if (yych <= 0x00001FFF) goto yy61;
					goto yy190;
				} else {
					if (yych <= 0x00002027) goto yy61;
					if (yych <= 0x00002029) goto yy190;
					goto yy61;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy190;
					if (yych <= 0x0000205E) goto yy61;
					goto yy190;
				} else {
					if (yych == 0x00003000) goto yy190;
					if (yych <= 0x0000FFFF) goto yy61;
					goto yy46;
				}
			}
		}
	}
yy293:
	yyaccept = 3;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '}') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy67;
					goto yy65;
				} else {
					if (yych <= '\r') goto yy67;
					if (yych <= 0x0000001F) goto yy65;
					goto yy67;
				}
			} else {
				if (yych <= '&') {
					if (yych <= '!') goto yy178;
					if (yych <= '#') goto yy67;
					goto yy178;
				} else {
					if (yych <= '\'') goto yy65;
					if (yych <= ')') goto yy67;
					goto yy178;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych <= ':') {
					if (yych <= ',') goto yy65;
					goto yy178;
				} else {
					if (yych <= ';') goto yy67;
					if (yych <= 'Z') goto yy178;
					goto yy67;
				}
			} else {
				if (yych <= '_') {
					if (yych <= '\\') goto yy295;
					if (yych <= ']') goto yy67;
					goto yy178;
				} else {
					if (yych <= '`') goto yy65;
					if (yych <= 'z') goto yy178;
					goto yy65;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x0000009F) {
				if (yych <= 0x0000007F) {
					if (yych <= '~') goto yy178;
					goto yy65;
				} else {
					if (yych == 0x00000085) goto yy293;
					goto yy178;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x000000A0) goto yy293;
					if (yych <= 0x0000167F) goto yy178;
					goto yy293;
				} else {
					if (yych == 0x0000180E) goto yy293;
					goto yy178;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy293;
					goto yy178;
				} else {
					if (yych <= 0x00002029) goto yy293;
					if (yych <= 0x0000202E) goto yy178;
					goto yy293;
				}
			} else {
				if (yych <= 0x00002FFF) {
					if (yych == 0x0000205F) goto yy293;
					goto yy178;
				} else {
					if (yych <= 0x00003000) goto yy293;
					if (yych <= 0x0000FFFF) goto yy178;
					goto yy65;
				}
			}
		}
	}
yy295:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych != 'x') goto yy46;
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych >= ':') goto yy46;
	} else {
		if (yych <= 'F') goto yy297;
		if (yych <= '`') goto yy46;
		if (yych >= 'g') goto yy46;
	}
yy297:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= ';') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy297;
		if (yych <= ':') goto yy46;
		goto yy178;
	} else {
		if (yych <= 'F') {
			if (yych <= '@') goto yy46;
			goto yy297;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy297;
			goto yy46;
		}
	}
yy299:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy77;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy77;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy77;
					goto yy46;
				} else {
					if (yych <= '#') goto yy77;
					if (yych <= '\'') goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy77;
				if (yych <= 'Z') goto yy46;
				goto yy77;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy77;
				} else {
					if (yych == 'n') goto yy332;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy77;
				if (yych == 0x000000A0) goto yy77;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy77;
				if (yych <= 0x0000202E) goto yy46;
				goto yy77;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy300:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy328;
	goto yy46;
yy301:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '.') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					if (yych <= '!') goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy80;
					goto yy310;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy312;
					if (yych <= '9') goto yy301;
					goto yy46;
				} else {
					if (yych <= ';') goto yy77;
					if (yych == '@') goto yy79;
					goto yy46;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy311;
					if (yych <= 'K') goto yy46;
					goto yy311;
				} else {
					if (yych == 'S') goto yy311;
					if (yych <= 'Z') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 'k') {
				if (yych <= 'c') {
					if (yych == ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'f') goto yy311;
					if (yych == 'i') goto yy89;
					goto yy46;
				}
			} else {
				if (yych <= 's') {
					if (yych <= 'l') goto yy311;
					if (yych <= 'r') goto yy46;
					goto yy311;
				} else {
					if (yych == 0x00000085) goto yy77;
					if (yych <= 0x0000009F) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x00002027) {
				if (yych <= 0x0000180D) {
					if (yych == 0x00001680) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy77;
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych <= 0x00002029) goto yy77;
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy303:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy304:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					if (yych <= '!') goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy80;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ';') {
					if (yych <= '9') goto yy304;
					if (yych <= ':') goto yy46;
					goto yy77;
				} else {
					if (yych == '@') goto yy79;
					if (yych <= 'C') goto yy46;
				}
			} else {
				if (yych <= 'R') {
					if (yych != 'L') goto yy46;
				} else {
					if (yych <= 'S') goto yy306;
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy77;
					if (yych <= 'c') goto yy46;
				} else {
					if (yych == 'i') goto yy89;
					if (yych <= 'k') goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych != 's') goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy77;
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy306:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy307;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy308;
		goto yy46;
	}
yy307:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy308:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy77;
					goto yy46;
				} else {
					if (yych <= ')') goto yy77;
					if (yych <= '*') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy80;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy308;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				} else {
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy89;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy310:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy319;
			if (yych <= 'F') goto yy320;
			goto yy319;
		} else {
			if (yych <= 'L') goto yy320;
			if (yych <= 'R') goto yy319;
			goto yy320;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy319;
			if (yych <= 'f') goto yy320;
			goto yy319;
		} else {
			if (yych <= 'l') goto yy320;
			if (yych == 's') goto yy320;
			goto yy319;
		}
	}
yy311:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy315;
		goto yy46;
	} else {
		if (yych <= '-') goto yy315;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy316;
		goto yy46;
	}
yy312:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy313:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy77;
					goto yy46;
				} else {
					if (yych <= ')') goto yy77;
					if (yych <= '*') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy80;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy313;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				} else {
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy89;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy315:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy316:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy77;
					goto yy46;
				} else {
					if (yych <= ')') goto yy77;
					if (yych <= '*') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy80;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy316;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				} else {
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy89;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy318:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy319:
	if (yych <= '\\') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy77;
					if (yych <= 0x00000008) goto yy46;
					goto yy77;
				} else {
					if (yych == ' ') goto yy77;
					if (yych <= '!') goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy80;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ';') {
					if (yych <= '9') goto yy318;
					if (yych <= ':') goto yy46;
					goto yy77;
				} else {
					if (yych == '@') goto yy79;
					if (yych <= 'C') goto yy46;
					goto yy324;
				}
			} else {
				if (yych <= 'R') {
					if (yych == 'L') goto yy324;
					goto yy46;
				} else {
					if (yych <= 'S') goto yy324;
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy77;
					if (yych <= 'c') goto yy46;
					goto yy324;
				} else {
					if (yych == 'i') goto yy89;
					if (yych <= 'k') goto yy46;
					goto yy324;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy324;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy77;
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy77;
					if (yych <= 0x00002027) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy77;
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy320:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy321;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy322;
		goto yy46;
	}
yy321:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy322:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy77;
					goto yy46;
				} else {
					if (yych <= ')') goto yy77;
					if (yych <= '*') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy80;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy322;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				} else {
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy89;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy324:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy325;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy326;
		goto yy46;
	}
yy325:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy326:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy77;
					goto yy46;
				} else {
					if (yych <= ')') goto yy77;
					if (yych <= '*') goto yy46;
					goto yy80;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy80;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy326;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy77;
					if (yych <= '?') goto yy46;
					goto yy79;
				} else {
					if (yych == '[') goto yy77;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy77;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy89;
					if (yych <= 0x00000084) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy328:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy331:
	yych = *++YYCURSOR;
	if (yych <= ']') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy77;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy77;
					if (yych <= 0x0000001F) goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy77;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy77;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= ',') {
					if (yych <= '+') goto yy80;
					goto yy46;
				} else {
					if (yych <= '-') goto yy80;
					if (yych <= ':') goto yy46;
					goto yy77;
				}
			} else {
				if (yych <= 'Z') {
					if (yych == '@') goto yy79;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'i') {
					if (yych <= 'h') goto yy46;
					goto yy89;
				} else {
					if (yych == 0x00000085) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy77;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy77;
					if (yych <= 0x0000180D) goto yy46;
					goto yy77;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy77;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy77;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy77;
					if (yych <= 0x0000205E) goto yy46;
					goto yy77;
				} else {
					if (yych == 0x00003000) goto yy77;
					goto yy46;
				}
			}
		}
	}
yy332:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy331;
	goto yy46;
yy335:
	++YYCURSOR;
#line 449 "src/scanner.re"
	{
            comment_count = 1;
            goto comment;
        }
#line 7807 "<stdout>"
yy337:
	++YYCURSOR;
#line 445 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            return DATUM_COMMENT;
        }
#line 7815 "<stdout>"
yy339:
	yych = *++YYCURSOR;
	if (yych == 'u') goto yy756;
	goto yy46;
yy340:
	++YYCURSOR;
#line 429 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            return VECTOR_START;
        }
#line 7827 "<stdout>"
yy342:
	yych = *++YYCURSOR;
	if (yych <= 'Z') {
		if (yych <= ',') goto yy46;
		if (yych <= '9') goto yy754;
		if (yych <= '@') goto yy46;
		goto yy754;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy46;
			goto yy754;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'z') goto yy754;
			goto yy46;
		}
	}
yy343:
	yych = *++YYCURSOR;
	if (yych == '@') goto yy751;
	goto yy749;
yy344:
	yych = *++YYCURSOR;
	goto yy747;
yy345:
	yych = *++YYCURSOR;
	goto yy745;
yy346:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych == '/') goto yy740;
	if (yych == '\\') goto yy738;
	goto yy346;
yy348:
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= '*') {
			if (yych == '#') goto yy737;
			goto yy46;
		} else {
			if (yych == ',') goto yy46;
			if (yych <= '-') goto yy570;
			goto yy575;
		}
	} else {
		if (yych <= '@') {
			if (yych <= '/') goto yy46;
			if (yych <= '9') goto yy571;
			goto yy46;
		} else {
			if (yych <= 'F') goto yy573;
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy573;
			goto yy46;
		}
	}
yy349:
	yych = *++YYCURSOR;
	switch (yych) {
	case '#':	goto yy568;
	case '+':
	case '-':	goto yy510;
	case '.':	goto yy511;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy159;
	default:	goto yy46;
	}
yy350:
	yych = *++YYCURSOR;
	if (yych <= '+') {
		if (yych == '#') goto yy513;
		if (yych <= '*') goto yy46;
		goto yy514;
	} else {
		if (yych <= '-') {
			if (yych <= ',') goto yy46;
			goto yy514;
		} else {
			if (yych <= '/') goto yy46;
			if (yych <= '7') goto yy515;
			goto yy46;
		}
	}
yy351:
	yych = *++YYCURSOR;
	switch (yych) {
	case '#':	goto yy509;
	case '+':
	case '-':	goto yy510;
	case '.':	goto yy511;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy159;
	default:	goto yy46;
	}
yy352:
	yych = *++YYCURSOR;
	switch (yych) {
	case '#':	goto yy454;
	case '+':
	case '-':	goto yy455;
	case '0':
	case '1':	goto yy456;
	default:	goto yy46;
	}
yy353:
	yych = *++YYCURSOR;
	switch (yych) {
	case 'a':	goto yy362;
	case 'b':	goto yy363;
	case 'd':	goto yy369;
	case 'e':	goto yy370;
	case 'l':	goto yy365;
	case 'n':	goto yy361;
	case 'p':	goto yy367;
	case 'r':	goto yy368;
	case 's':	goto yy360;
	case 't':	goto yy364;
	case 'v':	goto yy366;
	case 'x':	goto yy372;
	default:	goto yy371;
	}
yy354:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy358;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy358;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy358;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy358;
				if (yych == ';') goto yy358;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy358;
					goto yy46;
				} else {
					if (yych <= ']') goto yy358;
					if (yych <= 0x00000084) goto yy46;
					goto yy358;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy358;
				if (yych <= 0x0000167F) goto yy46;
				goto yy358;
			} else {
				if (yych == 0x0000180E) goto yy358;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy358;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy358;
				if (yych <= 0x0000202E) goto yy46;
				goto yy358;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy358;
				} else {
					if (yych == 0x00003000) goto yy358;
					goto yy46;
				}
			}
		}
	}
yy355:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy356;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy356;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy356;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy356;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy356;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy356;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy356:
	++YYCURSOR;
#line 232 "src/scanner.re"
	{
            yylval->boolValue = true;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return SCHEME_BOOLEAN;
        }
#line 8081 "<stdout>"
yy358:
	++YYCURSOR;
#line 238 "src/scanner.re"
	{
            yylval->boolValue = false;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return SCHEME_BOOLEAN;
        }
#line 8091 "<stdout>"
yy360:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'p') goto yy448;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy361:
	yych = *++YYCURSOR;
	if (yych <= 'u') {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '\\') {
				if (yych <= ';') {
					if (yych <= ':') goto yy46;
					goto yy375;
				} else {
					if (yych == '[') goto yy375;
					goto yy46;
				}
			} else {
				if (yych <= 'd') {
					if (yych <= ']') goto yy375;
					goto yy46;
				} else {
					if (yych <= 'e') goto yy437;
					if (yych <= 't') goto yy46;
					goto yy436;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych == 0x00000085) goto yy375;
				if (yych <= 0x0000009F) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x0000180E) goto yy375;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x00002029) goto yy375;
					if (yych <= 0x0000202E) goto yy46;
					goto yy375;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy362:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'l') goto yy430;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy363:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'a') goto yy420;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy364:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'a') goto yy416;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy365:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'i') goto yy407;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy366:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 't') goto yy402;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy367:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'a') goto yy397;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy368:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'e') goto yy390;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy369:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 'e') goto yy383;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy370:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy375;
					goto yy46;
				} else {
					if (yych <= '#') goto yy375;
					if (yych <= '\'') goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy375;
				if (yych <= 'Z') goto yy46;
				goto yy375;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy375;
				} else {
					if (yych == 's') goto yy379;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy375;
				if (yych == 0x000000A0) goto yy375;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy375;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy375;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy375;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy371:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy375;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy375;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy375;
				if (yych == ';') goto yy375;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy375;
					goto yy46;
				} else {
					if (yych <= ']') goto yy375;
					if (yych <= 0x00000084) goto yy46;
					goto yy375;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy375;
				if (yych <= 0x0000167F) goto yy46;
				goto yy375;
			} else {
				if (yych == 0x0000180E) goto yy375;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy375;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy46;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy46;
				}
			}
		}
	}
yy372:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy375;
				if (yych <= 0x00000008) goto yy374;
				if (yych <= '\r') goto yy375;
				goto yy374;
			} else {
				if (yych == '!') goto yy374;
				if (yych <= '#') goto yy375;
				goto yy374;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy375;
				if (yych == ';') goto yy375;
				goto yy374;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy375;
					goto yy374;
				} else {
					if (yych <= ']') goto yy375;
					if (yych <= 0x00000084) goto yy374;
					goto yy375;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy375;
				if (yych <= 0x0000167F) goto yy374;
				goto yy375;
			} else {
				if (yych == 0x0000180E) goto yy375;
				if (yych <= 0x00001FFF) goto yy374;
				goto yy375;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy374;
				if (yych <= 0x00002029) goto yy375;
				if (yych <= 0x0000202E) goto yy374;
				goto yy375;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy374;
					goto yy375;
				} else {
					if (yych == 0x00003000) goto yy375;
					goto yy374;
				}
			}
		}
	}
yy373:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy374:
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy377;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy377;
					if (yych <= 0x0000001F) goto yy46;
					goto yy377;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy377;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy377;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ':') {
					if (yych <= '9') goto yy373;
					goto yy46;
				} else {
					if (yych <= ';') goto yy377;
					if (yych <= '@') goto yy46;
					goto yy373;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy377;
				} else {
					if (yych == ']') goto yy377;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych <= 0x00000084) {
					if (yych <= 'f') goto yy373;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy377;
					if (yych <= 0x0000009F) goto yy46;
					goto yy377;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy46;
					goto yy377;
				} else {
					if (yych == 0x0000180E) goto yy377;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy377;
					goto yy46;
				} else {
					if (yych <= 0x00002029) goto yy377;
					if (yych <= 0x0000202E) goto yy46;
					goto yy377;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy377;
				} else {
					if (yych == 0x00003000) goto yy377;
					goto yy46;
				}
			}
		}
	}
yy375:
	++YYCURSOR;
#line 316 "src/scanner.re"
	{
            yylval->charValue = YYTOKEN[2];
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9049 "<stdout>"
yy377:
	++YYCURSOR;
#line 322 "src/scanner.re"
	{
            YYCURSOR--;
            yylval->charValue = ScannerHelper::hexStringToUCS4Char(YYTOKEN + 3, YYCURSOR );
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9059 "<stdout>"
yy379:
	yych = *++YYCURSOR;
	if (yych != 'c') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy381;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy381;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy381;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy381;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy381;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy381;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy381:
	++YYCURSOR;
#line 310 "src/scanner.re"
	{
            yylval->charValue = 0x1B;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9119 "<stdout>"
yy383:
	yych = *++YYCURSOR;
	if (yych != 'l') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 't') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy388;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy388;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy388;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy388;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy388;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy388;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy388:
	++YYCURSOR;
#line 304 "src/scanner.re"
	{
            yylval->charValue = 0x7F;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9185 "<stdout>"
yy390:
	yych = *++YYCURSOR;
	if (yych != 't') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'u') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'r') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy395;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy395;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy395;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy395;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy395;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy395;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy395:
	++YYCURSOR;
#line 298 "src/scanner.re"
	{
            yylval->charValue = 0x0D;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9251 "<stdout>"
yy397:
	yych = *++YYCURSOR;
	if (yych != 'g') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy400;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy400;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy400;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy400;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy400;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy400;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy400:
	++YYCURSOR;
#line 292 "src/scanner.re"
	{
            yylval->charValue = 0x0C;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9313 "<stdout>"
yy402:
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'b') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy405;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy405;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy405;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy405;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy405;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy405;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy405:
	++YYCURSOR;
#line 286 "src/scanner.re"
	{
            yylval->charValue = 0x0B;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9375 "<stdout>"
yy407:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'd') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy414;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy414;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy414;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy414;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy414;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy414;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy414:
	++YYCURSOR;
#line 280 "src/scanner.re"
	{
            yylval->charValue = 0x0A;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9445 "<stdout>"
yy416:
	yych = *++YYCURSOR;
	if (yych != 'b') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy418;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy418;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy418;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy418;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy418;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy418;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy418:
	++YYCURSOR;
#line 274 "src/scanner.re"
	{
            yylval->charValue = 0x09;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9505 "<stdout>"
yy420:
	yych = *++YYCURSOR;
	if (yych != 'c') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'k') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 's') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'p') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'c') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy428;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy428;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy428;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy428;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy428;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy428;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy428:
	++YYCURSOR;
#line 268 "src/scanner.re"
	{
            yylval->charValue = 0x08;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9577 "<stdout>"
yy430:
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'r') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'm') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy434;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy434;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy434;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy434;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy434;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy434;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy434:
	++YYCURSOR;
#line 262 "src/scanner.re"
	{
            yylval->charValue = 0x07;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9641 "<stdout>"
yy436:
	yych = *++YYCURSOR;
	if (yych == 'l') goto yy445;
	goto yy46;
yy437:
	yych = *++YYCURSOR;
	if (yych != 'w') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'l') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'i') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy443;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy443;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy443;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy443;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy443;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy443;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy443:
	++YYCURSOR;
#line 250 "src/scanner.re"
	{
            yylval->charValue = '\n';
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9713 "<stdout>"
yy445:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy446;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy446;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy446;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy446;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy446;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy446;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy446:
	++YYCURSOR;
#line 256 "src/scanner.re"
	{
            yylval->charValue = 0x00;
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9771 "<stdout>"
yy448:
	yych = *++YYCURSOR;
	if (yych != 'a') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'c') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'e') goto yy46;
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy452;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy452;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy452;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy452;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy452;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy452;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy452:
	++YYCURSOR;
#line 244 "src/scanner.re"
	{
            yylval->charValue = ' ';
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return CHARACTER;
        }
#line 9835 "<stdout>"
yy454:
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych == 'E') goto yy508;
		if (yych <= 'H') goto yy46;
		goto yy508;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy46;
			goto yy508;
		} else {
			if (yych == 'i') goto yy508;
			goto yy46;
		}
	}
yy455:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych <= '1') goto yy496;
		goto yy46;
	} else {
		if (yych <= 'i') goto yy494;
		if (yych == 'n') goto yy495;
		goto yy46;
	}
yy456:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= 'Z') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy461;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy461;
					if (yych <= 0x0000001F) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy461;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy461;
					goto yy46;
				}
			}
		} else {
			if (yych <= '/') {
				if (yych <= ',') {
					if (yych <= '+') goto yy459;
					goto yy46;
				} else {
					if (yych <= '-') goto yy459;
					if (yych <= '.') goto yy46;
				}
			} else {
				if (yych <= ';') {
					if (yych <= '1') goto yy456;
					if (yych <= ':') goto yy46;
					goto yy461;
				} else {
					if (yych == '@') goto yy460;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '\\') {
					if (yych <= '[') goto yy461;
					goto yy46;
				} else {
					if (yych <= ']') goto yy461;
					if (yych <= 0x00000084) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy461;
					if (yych <= 0x0000180D) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy461;
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '1') goto yy492;
	goto yy46;
yy459:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych <= '1') goto yy478;
		goto yy46;
	} else {
		if (yych <= 'i') goto yy481;
		if (yych == 'n') goto yy480;
		goto yy46;
	}
yy460:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy463;
		goto yy46;
	} else {
		if (yych <= '-') goto yy463;
		if (yych <= '/') goto yy46;
		if (yych <= '1') goto yy464;
		goto yy46;
	}
yy461:
	++YYCURSOR;
#line 330 "src/scanner.re"
	{
           YYCURSOR--;
           yylval->stringValue =  ucs4string(YYTOKEN, (YYCURSOR - YYTOKEN));
           YYTOKEN = YYCURSOR;
           return NUMBER;
       }
#line 9985 "<stdout>"
yy463:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych >= '2') goto yy46;
	} else {
		if (yych <= 'i') goto yy470;
		if (yych == 'n') goto yy469;
		goto yy46;
	}
yy464:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= ']') {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy461;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy461;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy461;
					goto yy46;
				} else {
					if (yych <= '#') goto yy461;
					if (yych <= '\'') goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') goto yy46;
				if (yych <= '/') goto yy466;
				if (yych <= '1') goto yy464;
				goto yy46;
			} else {
				if (yych <= 'Z') {
					if (yych <= ';') goto yy461;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy461;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych == 0x00000085) goto yy461;
				if (yych <= 0x0000009F) goto yy46;
				goto yy461;
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x0000180E) goto yy461;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x00002029) goto yy461;
					if (yych <= 0x0000202E) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy466:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '2') goto yy46;
yy467:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy461;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy461;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy461;
					goto yy46;
				} else {
					if (yych <= '#') goto yy461;
					if (yych <= '\'') goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '1') goto yy467;
				if (yych <= ':') goto yy46;
				goto yy461;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy461;
				} else {
					if (yych == ']') goto yy461;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy461;
				if (yych == 0x000000A0) goto yy461;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy461;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy461;
				if (yych <= 0x0000202E) goto yy46;
				goto yy461;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy469:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy475;
	goto yy46;
yy470:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy474:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy461;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy461;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy461;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy461;
				if (yych == ';') goto yy461;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy461;
					goto yy46;
				} else {
					if (yych <= ']') goto yy461;
					if (yych <= 0x00000084) goto yy46;
					goto yy461;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy461;
				if (yych <= 0x0000167F) goto yy46;
				goto yy461;
			} else {
				if (yych == 0x0000180E) goto yy461;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy461;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy461;
				if (yych <= 0x0000202E) goto yy46;
				goto yy461;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy475:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy474;
	goto yy46;
yy478:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '1') {
		if (yych <= '.') goto yy46;
		if (yych <= '/') goto yy489;
		goto yy478;
	} else {
		if (yych == 'i') goto yy474;
		goto yy46;
	}
yy480:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy486;
	goto yy46;
yy481:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy461;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy461;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy461;
					goto yy46;
				} else {
					if (yych <= '#') goto yy461;
					if (yych <= '\'') goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy461;
				if (yych <= 'Z') goto yy46;
				goto yy461;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy461;
				} else {
					if (yych != 'n') goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy461;
				if (yych == 0x000000A0) goto yy461;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy461;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy461;
				if (yych <= 0x0000202E) goto yy46;
				goto yy461;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy485:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy474;
	goto yy46;
yy486:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy485;
	goto yy46;
yy489:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '2') goto yy46;
yy490:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '1') goto yy490;
	if (yych == 'i') goto yy474;
	goto yy46;
yy492:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy461;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy461;
					if (yych <= 0x0000001F) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy461;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy461;
					goto yy46;
				}
			}
		} else {
			if (yych <= '1') {
				if (yych <= ',') {
					if (yych <= '+') goto yy459;
					goto yy46;
				} else {
					if (yych <= '-') goto yy459;
					if (yych <= '/') goto yy46;
					goto yy492;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy461;
					goto yy46;
				} else {
					if (yych <= '@') goto yy460;
					if (yych <= 'Z') goto yy46;
					goto yy461;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00000085) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy461;
					if (yych <= 0x0000180D) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy461;
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy494:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy461;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy461;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy461;
					goto yy46;
				} else {
					if (yych <= '#') goto yy461;
					if (yych <= '\'') goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy461;
				if (yych <= 'Z') goto yy46;
				goto yy461;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy461;
				} else {
					if (yych == 'n') goto yy505;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy461;
				if (yych == 0x000000A0) goto yy461;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy461;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy461;
				if (yych <= 0x0000202E) goto yy46;
				goto yy461;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy495:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy501;
	goto yy46;
yy496:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy461;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy461;
					if (yych <= 0x0000001F) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy461;
					goto yy46;
				} else {
					if (yych <= ')') goto yy461;
					if (yych <= '*') goto yy46;
					goto yy459;
				}
			}
		} else {
			if (yych <= '1') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy459;
				} else {
					if (yych <= '.') goto yy46;
					if (yych >= '0') goto yy496;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy461;
					goto yy46;
				} else {
					if (yych <= '@') goto yy460;
					if (yych <= 'Z') goto yy46;
					goto yy461;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy461;
				} else {
					if (yych == 'i') goto yy474;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy461;
					if (yych <= 0x0000009F) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00001680) goto yy461;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy461;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy461;
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '2') goto yy46;
yy499:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy461;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy461;
					if (yych <= 0x0000001F) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy461;
					goto yy46;
				} else {
					if (yych <= ')') goto yy461;
					if (yych <= '*') goto yy46;
					goto yy459;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy459;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '1') goto yy499;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy461;
					if (yych <= '?') goto yy46;
					goto yy460;
				} else {
					if (yych == '[') goto yy461;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy461;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy474;
					if (yych <= 0x00000084) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy461;
					if (yych <= 0x0000180D) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy461;
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy501:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy504:
	yych = *++YYCURSOR;
	if (yych <= ']') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy461;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy461;
					if (yych <= 0x0000001F) goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy461;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy461;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= ',') {
					if (yych <= '+') goto yy459;
					goto yy46;
				} else {
					if (yych <= '-') goto yy459;
					if (yych <= ':') goto yy46;
					goto yy461;
				}
			} else {
				if (yych <= 'Z') {
					if (yych == '@') goto yy460;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy461;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'i') {
					if (yych <= 'h') goto yy46;
					goto yy474;
				} else {
					if (yych == 0x00000085) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy461;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy461;
					if (yych <= 0x0000180D) goto yy46;
					goto yy461;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy461;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy461;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy461;
					if (yych <= 0x0000205E) goto yy46;
					goto yy461;
				} else {
					if (yych == 0x00003000) goto yy461;
					goto yy46;
				}
			}
		}
	}
yy505:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy504;
	goto yy46;
yy508:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy455;
		goto yy46;
	} else {
		if (yych <= '-') goto yy455;
		if (yych <= '/') goto yy46;
		if (yych <= '1') goto yy456;
		goto yy46;
	}
yy509:
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych == 'E') goto yy512;
		if (yych <= 'H') goto yy46;
		goto yy512;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy46;
			goto yy512;
		} else {
			if (yych == 'i') goto yy512;
			goto yy46;
		}
	}
yy510:
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych == '.') goto yy303;
		if (yych <= '/') goto yy46;
		goto yy301;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy46;
			goto yy299;
		} else {
			if (yych == 'n') goto yy300;
			goto yy46;
		}
	}
yy511:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy74;
	goto yy46;
yy512:
	yych = *++YYCURSOR;
	if (yych <= '-') {
		if (yych == '+') goto yy510;
		if (yych <= ',') goto yy46;
		goto yy510;
	} else {
		if (yych <= '.') goto yy511;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy159;
		goto yy46;
	}
yy513:
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych == 'E') goto yy567;
		if (yych <= 'H') goto yy46;
		goto yy567;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy46;
			goto yy567;
		} else {
			if (yych == 'i') goto yy567;
			goto yy46;
		}
	}
yy514:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych <= '7') goto yy555;
		goto yy46;
	} else {
		if (yych <= 'i') goto yy553;
		if (yych == 'n') goto yy554;
		goto yy46;
	}
yy515:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= 'Z') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy520;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy520;
					if (yych <= 0x0000001F) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy520;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy520;
					goto yy46;
				}
			}
		} else {
			if (yych <= '/') {
				if (yych <= ',') {
					if (yych <= '+') goto yy518;
					goto yy46;
				} else {
					if (yych <= '-') goto yy518;
					if (yych <= '.') goto yy46;
				}
			} else {
				if (yych <= ';') {
					if (yych <= '7') goto yy515;
					if (yych <= ':') goto yy46;
					goto yy520;
				} else {
					if (yych == '@') goto yy519;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= '\\') {
					if (yych <= '[') goto yy520;
					goto yy46;
				} else {
					if (yych <= ']') goto yy520;
					if (yych <= 0x00000084) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy520;
					if (yych <= 0x0000180D) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy520;
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '7') goto yy551;
	goto yy46;
yy518:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych <= '7') goto yy537;
		goto yy46;
	} else {
		if (yych <= 'i') goto yy540;
		if (yych == 'n') goto yy539;
		goto yy46;
	}
yy519:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy522;
		goto yy46;
	} else {
		if (yych <= '-') goto yy522;
		if (yych <= '/') goto yy46;
		if (yych <= '7') goto yy523;
		goto yy46;
	}
yy520:
	++YYCURSOR;
#line 342 "src/scanner.re"
	{
           YYCURSOR--;
           yylval->stringValue =  ucs4string(YYTOKEN, (YYCURSOR - YYTOKEN));
           YYTOKEN = YYCURSOR;
           return NUMBER;
       }
#line 10982 "<stdout>"
yy522:
	yych = *++YYCURSOR;
	if (yych <= 'h') {
		if (yych <= '/') goto yy46;
		if (yych >= '8') goto yy46;
	} else {
		if (yych <= 'i') goto yy529;
		if (yych == 'n') goto yy528;
		goto yy46;
	}
yy523:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= ']') {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy520;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy520;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy520;
					goto yy46;
				} else {
					if (yych <= '#') goto yy520;
					if (yych <= '\'') goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') goto yy46;
				if (yych <= '/') goto yy525;
				if (yych <= '7') goto yy523;
				goto yy46;
			} else {
				if (yych <= 'Z') {
					if (yych <= ';') goto yy520;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy520;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych == 0x00000085) goto yy520;
				if (yych <= 0x0000009F) goto yy46;
				goto yy520;
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x0000180E) goto yy520;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x00002029) goto yy520;
					if (yych <= 0x0000202E) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy525:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '8') goto yy46;
yy526:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy520;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy520;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy520;
					goto yy46;
				} else {
					if (yych <= '#') goto yy520;
					if (yych <= '\'') goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '7') goto yy526;
				if (yych <= ':') goto yy46;
				goto yy520;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy520;
				} else {
					if (yych == ']') goto yy520;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy520;
				if (yych == 0x000000A0) goto yy520;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy520;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy520;
				if (yych <= 0x0000202E) goto yy46;
				goto yy520;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy528:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy534;
	goto yy46;
yy529:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy533:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy520;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy520;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy520;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy520;
				if (yych == ';') goto yy520;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy520;
					goto yy46;
				} else {
					if (yych <= ']') goto yy520;
					if (yych <= 0x00000084) goto yy46;
					goto yy520;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy520;
				if (yych <= 0x0000167F) goto yy46;
				goto yy520;
			} else {
				if (yych == 0x0000180E) goto yy520;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy520;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy520;
				if (yych <= 0x0000202E) goto yy46;
				goto yy520;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy534:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy533;
	goto yy46;
yy537:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '7') {
		if (yych <= '.') goto yy46;
		if (yych <= '/') goto yy548;
		goto yy537;
	} else {
		if (yych == 'i') goto yy533;
		goto yy46;
	}
yy539:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy545;
	goto yy46;
yy540:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy520;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy520;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy520;
					goto yy46;
				} else {
					if (yych <= '#') goto yy520;
					if (yych <= '\'') goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy520;
				if (yych <= 'Z') goto yy46;
				goto yy520;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy520;
				} else {
					if (yych != 'n') goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy520;
				if (yych == 0x000000A0) goto yy520;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy520;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy520;
				if (yych <= 0x0000202E) goto yy46;
				goto yy520;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy544:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy533;
	goto yy46;
yy545:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy544;
	goto yy46;
yy548:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '8') goto yy46;
yy549:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '7') goto yy549;
	if (yych == 'i') goto yy533;
	goto yy46;
yy551:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy520;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy520;
					if (yych <= 0x0000001F) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy520;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy520;
					goto yy46;
				}
			}
		} else {
			if (yych <= '7') {
				if (yych <= ',') {
					if (yych <= '+') goto yy518;
					goto yy46;
				} else {
					if (yych <= '-') goto yy518;
					if (yych <= '/') goto yy46;
					goto yy551;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy520;
					goto yy46;
				} else {
					if (yych <= '@') goto yy519;
					if (yych <= 'Z') goto yy46;
					goto yy520;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00000085) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy520;
					if (yych <= 0x0000180D) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy520;
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy553:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy520;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy520;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy520;
					goto yy46;
				} else {
					if (yych <= '#') goto yy520;
					if (yych <= '\'') goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy520;
				if (yych <= 'Z') goto yy46;
				goto yy520;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy520;
				} else {
					if (yych == 'n') goto yy564;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy520;
				if (yych == 0x000000A0) goto yy520;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy520;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy520;
				if (yych <= 0x0000202E) goto yy46;
				goto yy520;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy554:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy560;
	goto yy46;
yy555:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy520;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy520;
					if (yych <= 0x0000001F) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy520;
					goto yy46;
				} else {
					if (yych <= ')') goto yy520;
					if (yych <= '*') goto yy46;
					goto yy518;
				}
			}
		} else {
			if (yych <= '7') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy518;
				} else {
					if (yych <= '.') goto yy46;
					if (yych >= '0') goto yy555;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy520;
					goto yy46;
				} else {
					if (yych <= '@') goto yy519;
					if (yych <= 'Z') goto yy46;
					goto yy520;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy520;
				} else {
					if (yych == 'i') goto yy533;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy520;
					if (yych <= 0x0000009F) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00001680) goto yy520;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy520;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy520;
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= '8') goto yy46;
yy558:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy520;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy520;
					if (yych <= 0x0000001F) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy520;
					goto yy46;
				} else {
					if (yych <= ')') goto yy520;
					if (yych <= '*') goto yy46;
					goto yy518;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy518;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '7') goto yy558;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy520;
					if (yych <= '?') goto yy46;
					goto yy519;
				} else {
					if (yych == '[') goto yy520;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy520;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy533;
					if (yych <= 0x00000084) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy520;
					if (yych <= 0x0000180D) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy520;
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy560:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy563:
	yych = *++YYCURSOR;
	if (yych <= ']') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy520;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy520;
					if (yych <= 0x0000001F) goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy520;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy520;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= ',') {
					if (yych <= '+') goto yy518;
					goto yy46;
				} else {
					if (yych <= '-') goto yy518;
					if (yych <= ':') goto yy46;
					goto yy520;
				}
			} else {
				if (yych <= 'Z') {
					if (yych == '@') goto yy519;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy520;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'i') {
					if (yych <= 'h') goto yy46;
					goto yy533;
				} else {
					if (yych == 0x00000085) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy520;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy520;
					if (yych <= 0x0000180D) goto yy46;
					goto yy520;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy520;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy520;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy520;
					if (yych <= 0x0000205E) goto yy46;
					goto yy520;
				} else {
					if (yych == 0x00003000) goto yy520;
					goto yy46;
				}
			}
		}
	}
yy564:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy563;
	goto yy46;
yy567:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy514;
		goto yy46;
	} else {
		if (yych <= '-') goto yy514;
		if (yych <= '/') goto yy46;
		if (yych <= '7') goto yy515;
		goto yy46;
	}
yy568:
	yych = *++YYCURSOR;
	if (yych <= 'X') {
		if (yych <= 'D') {
			if (yych == 'B') goto yy508;
			if (yych <= 'C') goto yy46;
			goto yy512;
		} else {
			if (yych == 'O') goto yy567;
			if (yych <= 'W') goto yy46;
		}
	} else {
		if (yych <= 'd') {
			if (yych == 'b') goto yy508;
			if (yych <= 'c') goto yy46;
			goto yy512;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy46;
				goto yy567;
			} else {
				if (yych != 'x') goto yy46;
			}
		}
	}
yy569:
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych != '+') goto yy46;
		} else {
			if (yych <= '-') goto yy570;
			if (yych <= '.') goto yy575;
			goto yy46;
		}
	} else {
		if (yych <= 'F') {
			if (yych <= '9') goto yy571;
			if (yych <= '@') goto yy46;
			goto yy573;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy573;
			goto yy46;
		}
	}
yy570:
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych == '.') goto yy699;
			goto yy46;
		} else {
			if (yych <= '9') goto yy695;
			if (yych <= '@') goto yy46;
			goto yy697;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy697;
			goto yy46;
		} else {
			if (yych <= 'i') goto yy693;
			if (yych == 'n') goto yy694;
			goto yy46;
		}
	}
yy571:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '.') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy672;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy669;
					if (yych <= '9') goto yy571;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy673;
					if (yych <= 'K') goto yy46;
					goto yy674;
				} else {
					if (yych == 'S') goto yy674;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= '`') {
					if (yych == ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'c') goto yy573;
					if (yych <= 'f') goto yy673;
					if (yych <= 'k') goto yy46;
					goto yy674;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy674;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy573:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych == '-') goto yy582;
					goto yy46;
				} else {
					if (yych <= '/') goto yy669;
					if (yych <= '9') goto yy573;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych <= 'F') goto yy573;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'f') goto yy573;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy575:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy576:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '-') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych == '+') goto yy582;
					if (yych <= ',') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy576;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych == '@') goto yy581;
					goto yy46;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy578;
					if (yych <= 'K') goto yy46;
				} else {
					if (yych == 'S') goto yy578;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'c') {
					if (yych == ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'f') goto yy578;
					if (yych <= 'k') goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych != 's') goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy578:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy666;
		goto yy46;
	} else {
		if (yych <= '-') goto yy666;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy667;
		goto yy46;
	}
yy579:
	++YYCURSOR;
#line 348 "src/scanner.re"
	{
           YYCURSOR--;
           yylval->stringValue =  ucs4string(YYTOKEN, (YYCURSOR - YYTOKEN));
           YYTOKEN = YYCURSOR;
           return NUMBER;
       }
#line 12154 "<stdout>"
yy581:
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == '+') goto yy625;
			goto yy46;
		} else {
			if (yych <= '-') goto yy625;
			if (yych <= '.') goto yy630;
			goto yy46;
		}
	} else {
		if (yych <= 'F') {
			if (yych <= '9') goto yy626;
			if (yych <= '@') goto yy46;
			goto yy628;
		} else {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy628;
			goto yy46;
		}
	}
yy582:
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych == '.') goto yy589;
			goto yy46;
		} else {
			if (yych <= '9') goto yy585;
			if (yych <= '@') goto yy46;
			goto yy587;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy587;
			goto yy46;
		} else {
			if (yych <= 'i') goto yy583;
			if (yych == 'n') goto yy584;
			goto yy46;
		}
	}
yy583:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy579;
				if (yych <= 'Z') goto yy46;
				goto yy579;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 'n') goto yy622;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy584:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy618;
	goto yy46;
yy585:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 'R') {
		if (yych <= '@') {
			if (yych <= '.') {
				if (yych <= '-') goto yy46;
				goto yy600;
			} else {
				if (yych <= '/') goto yy597;
				if (yych <= '9') goto yy585;
				goto yy46;
			}
		} else {
			if (yych <= 'F') {
				if (yych >= 'D') goto yy601;
			} else {
				if (yych == 'L') goto yy602;
				goto yy46;
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') {
				if (yych <= 'S') goto yy602;
				goto yy46;
			} else {
				if (yych <= 'c') goto yy587;
				if (yych <= 'f') goto yy601;
				goto yy46;
			}
		} else {
			if (yych <= 'l') {
				if (yych <= 'i') goto yy593;
				if (yych <= 'k') goto yy46;
				goto yy602;
			} else {
				if (yych == 's') goto yy602;
				goto yy46;
			}
		}
	}
yy587:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych <= '.') goto yy46;
			goto yy597;
		} else {
			if (yych <= '9') goto yy587;
			if (yych <= '@') goto yy46;
			goto yy587;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= '`') goto yy46;
			goto yy587;
		} else {
			if (yych == 'i') goto yy593;
			goto yy46;
		}
	}
yy589:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy590:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'F') {
			if (yych <= '/') goto yy46;
			if (yych <= '9') goto yy590;
			if (yych <= 'C') goto yy46;
		} else {
			if (yych == 'L') goto yy592;
			if (yych <= 'R') goto yy46;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') goto yy46;
			if (yych <= 'f') goto yy592;
			if (yych <= 'h') goto yy46;
			goto yy593;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
			} else {
				if (yych != 's') goto yy46;
			}
		}
	}
yy592:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '+') goto yy594;
		goto yy46;
	} else {
		if (yych <= '-') goto yy594;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy595;
		goto yy46;
	}
yy593:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych <= '#') goto yy579;
				goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy579;
				if (yych == ';') goto yy579;
				goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych <= '[') goto yy579;
					goto yy46;
				} else {
					if (yych <= ']') goto yy579;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy579;
				if (yych <= 0x0000167F) goto yy46;
				goto yy579;
			} else {
				if (yych == 0x0000180E) goto yy579;
				if (yych <= 0x00001FFF) goto yy46;
				goto yy579;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy594:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy595:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy595;
	if (yych == 'i') goto yy593;
	goto yy46;
yy597:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy46;
	goto yy599;
yy598:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy599:
	if (yych <= 'F') {
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy598;
		if (yych <= '@') goto yy46;
		goto yy598;
	} else {
		if (yych <= 'f') {
			if (yych <= '`') goto yy46;
			goto yy598;
		} else {
			if (yych == 'i') goto yy593;
			goto yy46;
		}
	}
yy600:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy609;
			if (yych <= 'F') goto yy610;
			goto yy609;
		} else {
			if (yych <= 'L') goto yy610;
			if (yych <= 'R') goto yy609;
			goto yy610;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy609;
			if (yych <= 'f') goto yy610;
			goto yy609;
		} else {
			if (yych <= 'l') goto yy610;
			if (yych == 's') goto yy610;
			goto yy609;
		}
	}
yy601:
	yych = *++YYCURSOR;
	if (yych == '+') goto yy603;
	if (yych == '-') goto yy603;
	goto yy607;
yy602:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy603;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy604;
		goto yy46;
	}
yy603:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy604:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy604;
	if (yych == 'i') goto yy593;
	goto yy46;
yy606:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy607:
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych <= '.') goto yy46;
			goto yy597;
		} else {
			if (yych <= '9') goto yy606;
			if (yych <= '@') goto yy46;
			goto yy587;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= '`') goto yy46;
			goto yy587;
		} else {
			if (yych == 'i') goto yy593;
			goto yy46;
		}
	}
yy608:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
yy609:
	if (yych <= 'S') {
		if (yych <= 'F') {
			if (yych <= '/') goto yy46;
			if (yych <= '9') goto yy608;
			if (yych <= 'C') goto yy46;
			goto yy614;
		} else {
			if (yych == 'L') goto yy614;
			if (yych <= 'R') goto yy46;
			goto yy614;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'c') goto yy46;
			if (yych <= 'f') goto yy614;
			if (yych <= 'h') goto yy46;
			goto yy593;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
				goto yy614;
			} else {
				if (yych == 's') goto yy614;
				goto yy46;
			}
		}
	}
yy610:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy611;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy612;
		goto yy46;
	}
yy611:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy612:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy612;
	if (yych == 'i') goto yy593;
	goto yy46;
yy614:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy615;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy616;
		goto yy46;
	}
yy615:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy616:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych <= '9') goto yy616;
	if (yych == 'i') goto yy593;
	goto yy46;
yy618:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy621:
	yych = *++YYCURSOR;
	if (yych == 'i') goto yy593;
	goto yy46;
yy622:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy621;
	goto yy46;
yy625:
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych == '.') goto yy630;
			goto yy46;
		} else {
			if (yych <= '9') goto yy626;
			if (yych <= '@') goto yy46;
			goto yy628;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy628;
			goto yy46;
		} else {
			if (yych <= 'i') goto yy659;
			if (yych == 'n') goto yy658;
			goto yy46;
		}
	}
yy626:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= ']') {
		if (yych <= '9') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych <= '-') goto yy46;
					if (yych <= '.') goto yy640;
					if (yych <= '/') goto yy637;
					goto yy626;
				}
			}
		} else {
			if (yych <= 'K') {
				if (yych <= '@') {
					if (yych == ';') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'C') goto yy628;
					if (yych <= 'F') goto yy641;
					goto yy46;
				}
			} else {
				if (yych <= 'S') {
					if (yych <= 'L') goto yy642;
					if (yych <= 'R') goto yy46;
					goto yy642;
				} else {
					if (yych == '[') goto yy579;
					if (yych <= '\\') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x00001680) {
			if (yych <= 'r') {
				if (yych <= 'f') {
					if (yych <= '`') goto yy46;
					if (yych >= 'd') goto yy641;
				} else {
					if (yych == 'l') goto yy642;
					goto yy46;
				}
			} else {
				if (yych <= 0x00000085) {
					if (yych <= 's') goto yy642;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x000000A0) goto yy579;
					if (yych <= 0x0000167F) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x00001FFF) {
					if (yych == 0x0000180E) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy628:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= ']') {
		if (yych <= '.') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') {
					if (yych <= '/') goto yy637;
					goto yy628;
				} else {
					if (yych == ';') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= 'F') goto yy628;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'f') {
					if (yych <= '`') goto yy46;
					goto yy628;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy630:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy631:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 'c') {
		if (yych <= ':') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy631;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy579;
					if (yych <= 'C') goto yy46;
				} else {
					if (yych != 'L') goto yy46;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'S') goto yy633;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy633;
					if (yych <= 'k') goto yy46;
				} else {
					if (yych != 's') goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy633:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy634;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy635;
		goto yy46;
	}
yy634:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy635:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy635;
				if (yych <= ':') goto yy46;
				goto yy579;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy637:
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych >= ':') goto yy46;
	} else {
		if (yych <= 'F') goto yy638;
		if (yych <= '`') goto yy46;
		if (yych >= 'g') goto yy46;
	}
yy638:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ':') {
					if (yych <= '9') goto yy638;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych <= '@') goto yy46;
					goto yy638;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x00001FFF) {
			if (yych <= 0x000000A0) {
				if (yych <= 0x00000084) {
					if (yych <= 'f') goto yy638;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x00001680) {
					if (yych <= 0x0000167F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x0000180E) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) {
					if (yych <= 0x0000200A) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00002029) goto yy579;
					if (yych <= 0x0000202E) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy640:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy649;
			if (yych <= 'F') goto yy650;
			goto yy649;
		} else {
			if (yych <= 'L') goto yy650;
			if (yych <= 'R') goto yy649;
			goto yy650;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy649;
			if (yych <= 'f') goto yy650;
			goto yy649;
		} else {
			if (yych <= 'l') goto yy650;
			if (yych == 's') goto yy650;
			goto yy649;
		}
	}
yy641:
	yych = *++YYCURSOR;
	if (yych == '+') goto yy643;
	if (yych == '-') goto yy643;
	goto yy647;
yy642:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy643;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy644;
		goto yy46;
	}
yy643:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy644:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy644;
				if (yych <= ':') goto yy46;
				goto yy579;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy646:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy647:
	if (yych <= ']') {
		if (yych <= '.') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') {
					if (yych <= '/') goto yy637;
					goto yy646;
				} else {
					if (yych == ';') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= 'F') goto yy628;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'f') {
					if (yych <= '`') goto yy46;
					goto yy628;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy648:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
yy649:
	if (yych <= 'c') {
		if (yych <= ':') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy648;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'F') {
					if (yych <= ';') goto yy579;
					if (yych <= 'C') goto yy46;
					goto yy654;
				} else {
					if (yych == 'L') goto yy654;
					goto yy46;
				}
			} else {
				if (yych <= '[') {
					if (yych <= 'S') goto yy654;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'l') {
					if (yych <= 'f') goto yy654;
					if (yych <= 'k') goto yy46;
					goto yy654;
				} else {
					if (yych == 's') goto yy654;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy650:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy651;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy652;
		goto yy46;
	}
yy651:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy652:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy652;
				if (yych <= ':') goto yy46;
				goto yy579;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy654:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy655;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy656;
		goto yy46;
	}
yy655:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy656:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') goto yy46;
				if (yych <= '9') goto yy656;
				if (yych <= ':') goto yy46;
				goto yy579;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy46;
					goto yy579;
				} else {
					if (yych == ']') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy658:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy663;
	goto yy46;
yy659:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy593;
	goto yy46;
yy663:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy593;
	goto yy46;
yy666:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy667:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy582;
					goto yy46;
				} else {
					if (yych <= '-') goto yy582;
					if (yych <= '/') goto yy46;
					goto yy667;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy579;
					goto yy46;
				} else {
					if (yych <= '@') goto yy581;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy669:
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych >= ':') goto yy46;
	} else {
		if (yych <= 'F') goto yy670;
		if (yych <= '`') goto yy46;
		if (yych >= 'g') goto yy46;
	}
yy670:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy582;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy670;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych <= 'F') goto yy670;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'f') goto yy670;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy672:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy684;
			if (yych <= 'F') goto yy685;
			goto yy684;
		} else {
			if (yych <= 'L') goto yy685;
			if (yych <= 'R') goto yy684;
			goto yy685;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy684;
			if (yych <= 'f') goto yy685;
			goto yy684;
		} else {
			if (yych <= 'l') goto yy685;
			if (yych == 's') goto yy685;
			goto yy684;
		}
	}
yy673:
	yych = *++YYCURSOR;
	if (yych == '+') goto yy680;
	if (yych == '-') goto yy680;
	goto yy679;
yy674:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy675;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy676;
		goto yy46;
	}
yy675:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy676:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy582;
					goto yy46;
				} else {
					if (yych <= '-') goto yy582;
					if (yych <= '/') goto yy46;
					goto yy676;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy579;
					goto yy46;
				} else {
					if (yych <= '@') goto yy581;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy678:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy679:
	if (yych <= '[') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych == '-') goto yy582;
					goto yy46;
				} else {
					if (yych <= '/') goto yy669;
					if (yych <= '9') goto yy678;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych <= 'F') goto yy573;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych <= '`') goto yy46;
					if (yych <= 'f') goto yy573;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy680:
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych == '.') goto yy589;
			goto yy46;
		} else {
			if (yych <= '9') goto yy681;
			if (yych <= '@') goto yy46;
			goto yy587;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy587;
			goto yy46;
		} else {
			if (yych <= 'i') goto yy583;
			if (yych == 'n') goto yy584;
			goto yy46;
		}
	}
yy681:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '.') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy600;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy597;
					if (yych <= '9') goto yy681;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
					goto yy587;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'F') goto yy601;
					if (yych == 'L') goto yy602;
					goto yy46;
				} else {
					if (yych <= 'S') goto yy602;
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 'k') {
				if (yych <= 'c') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
					goto yy587;
				} else {
					if (yych <= 'f') goto yy601;
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 's') {
					if (yych <= 'l') goto yy602;
					if (yych <= 'r') goto yy46;
					goto yy602;
				} else {
					if (yych == 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x00002027) {
				if (yych <= 0x0000180D) {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych <= 0x00002029) goto yy579;
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy683:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy684:
	if (yych <= '[') {
		if (yych <= '-') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych == '+') goto yy582;
					if (yych <= ',') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy683;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych == '@') goto yy581;
					goto yy46;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'F') goto yy689;
					if (yych <= 'K') goto yy46;
					goto yy689;
				} else {
					if (yych == 'S') goto yy689;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'c') {
					if (yych == ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'f') goto yy689;
					if (yych <= 'k') goto yy46;
					goto yy689;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy689;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy685:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy686;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy687;
		goto yy46;
	}
yy686:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy687:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy582;
					goto yy46;
				} else {
					if (yych <= '-') goto yy582;
					if (yych <= '/') goto yy46;
					goto yy687;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy579;
					goto yy46;
				} else {
					if (yych <= '@') goto yy581;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy689:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy690;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy691;
		goto yy46;
	}
yy690:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy691:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '[') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= '9') {
				if (yych <= ',') {
					if (yych <= '+') goto yy582;
					goto yy46;
				} else {
					if (yych <= '-') goto yy582;
					if (yych <= '/') goto yy46;
					goto yy691;
				}
			} else {
				if (yych <= '?') {
					if (yych == ';') goto yy579;
					goto yy46;
				} else {
					if (yych <= '@') goto yy581;
					if (yych <= 'Z') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy693:
	yych = *++YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy579;
				if (yych <= 0x00000008) goto yy46;
				if (yych <= '\r') goto yy579;
				goto yy46;
			} else {
				if (yych <= '!') {
					if (yych <= ' ') goto yy579;
					goto yy46;
				} else {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= '[') {
				if (yych == ';') goto yy579;
				if (yych <= 'Z') goto yy46;
				goto yy579;
			} else {
				if (yych <= ']') {
					if (yych <= '\\') goto yy46;
					goto yy579;
				} else {
					if (yych == 'n') goto yy734;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy579;
				if (yych == 0x000000A0) goto yy579;
				goto yy46;
			} else {
				if (yych <= 0x0000180D) {
					if (yych <= 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy579;
				if (yych <= 0x0000202E) goto yy46;
				goto yy579;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy694:
	yych = *++YYCURSOR;
	if (yych == 'a') goto yy730;
	goto yy46;
yy695:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '.') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy709;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy706;
					if (yych <= '9') goto yy695;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'F') goto yy710;
					if (yych == 'L') goto yy711;
					goto yy46;
				} else {
					if (yych <= 'S') goto yy711;
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 'k') {
				if (yych <= 'c') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
				} else {
					if (yych <= 'f') goto yy710;
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 's') {
					if (yych <= 'l') goto yy711;
					if (yych <= 'r') goto yy46;
					goto yy711;
				} else {
					if (yych == 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x00002027) {
				if (yych <= 0x0000180D) {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych <= 0x00002029) goto yy579;
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy697:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych == '+') goto yy582;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') {
					if (yych <= '-') goto yy582;
					if (yych <= '.') goto yy46;
					goto yy706;
				} else {
					if (yych <= '9') goto yy697;
					if (yych <= ':') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 'F') {
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
					goto yy697;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'f') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
					goto yy697;
				} else {
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy699:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy700:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ';') {
					if (yych <= '9') goto yy700;
					if (yych <= ':') goto yy46;
					goto yy579;
				} else {
					if (yych == '@') goto yy581;
					if (yych <= 'C') goto yy46;
				}
			} else {
				if (yych <= 'R') {
					if (yych != 'L') goto yy46;
				} else {
					if (yych <= 'S') goto yy702;
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy579;
					if (yych <= 'c') goto yy46;
				} else {
					if (yych == 'i') goto yy593;
					if (yych <= 'k') goto yy46;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych != 's') goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy702:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy703;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy704;
		goto yy46;
	}
yy703:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy704:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy582;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy704;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy593;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy706:
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych <= '/') goto yy46;
		if (yych >= ':') goto yy46;
	} else {
		if (yych <= 'F') goto yy707;
		if (yych <= '`') goto yy46;
		if (yych >= 'g') goto yy46;
	}
yy707:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') {
					if (yych == '-') goto yy582;
					goto yy46;
				} else {
					if (yych <= '9') goto yy707;
					if (yych <= ':') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 'F') {
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
					goto yy707;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'f') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
					goto yy707;
				} else {
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy709:
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych <= 'C') goto yy721;
			if (yych <= 'F') goto yy722;
			goto yy721;
		} else {
			if (yych <= 'L') goto yy722;
			if (yych <= 'R') goto yy721;
			goto yy722;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'c') goto yy721;
			if (yych <= 'f') goto yy722;
			goto yy721;
		} else {
			if (yych <= 'l') goto yy722;
			if (yych == 's') goto yy722;
			goto yy721;
		}
	}
yy710:
	yych = *++YYCURSOR;
	if (yych == '+') goto yy717;
	if (yych == '-') goto yy717;
	goto yy716;
yy711:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy712;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy713;
		goto yy46;
	}
yy712:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy713:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy582;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy713;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy593;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy715:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy716:
	if (yych <= '\\') {
		if (yych <= ',') {
			if (yych <= '!') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '#') goto yy579;
					if (yych <= '\'') goto yy46;
					goto yy579;
				} else {
					if (yych == '+') goto yy582;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= '/') {
					if (yych <= '-') goto yy582;
					if (yych <= '.') goto yy46;
					goto yy706;
				} else {
					if (yych <= '9') goto yy715;
					if (yych <= ':') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 'F') {
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
					goto yy697;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180D) {
			if (yych <= 0x00000084) {
				if (yych <= 'f') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
					goto yy697;
				} else {
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 0x000000A0) {
					if (yych <= 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy717:
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= '/') {
			if (yych == '.') goto yy589;
			goto yy46;
		} else {
			if (yych <= '9') goto yy718;
			if (yych <= '@') goto yy46;
			goto yy587;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') goto yy46;
			if (yych <= 'f') goto yy587;
			goto yy46;
		} else {
			if (yych <= 'i') goto yy583;
			if (yych == 'n') goto yy584;
			goto yy46;
		}
	}
yy718:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '.') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy600;
				}
			}
		} else {
			if (yych <= 'C') {
				if (yych <= ':') {
					if (yych <= '/') goto yy597;
					if (yych <= '9') goto yy718;
					goto yy46;
				} else {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					if (yych <= '@') goto yy581;
					goto yy587;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'F') goto yy601;
					if (yych == 'L') goto yy602;
					goto yy46;
				} else {
					if (yych <= 'S') goto yy602;
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x000000A0) {
			if (yych <= 'k') {
				if (yych <= 'c') {
					if (yych <= ']') goto yy579;
					if (yych <= '`') goto yy46;
					goto yy587;
				} else {
					if (yych <= 'f') goto yy601;
					if (yych == 'i') goto yy593;
					goto yy46;
				}
			} else {
				if (yych <= 's') {
					if (yych <= 'l') goto yy602;
					if (yych <= 'r') goto yy46;
					goto yy602;
				} else {
					if (yych == 0x00000085) goto yy579;
					if (yych <= 0x0000009F) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x00002027) {
				if (yych <= 0x0000180D) {
					if (yych == 0x00001680) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000180E) goto yy579;
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych <= 0x00002029) goto yy579;
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy720:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
yy721:
	if (yych <= '\\') {
		if (yych <= '/') {
			if (yych <= '#') {
				if (yych <= '\r') {
					if (yych <= 0x00000000) goto yy579;
					if (yych <= 0x00000008) goto yy46;
					goto yy579;
				} else {
					if (yych == ' ') goto yy579;
					if (yych <= '!') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '*') {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				} else {
					if (yych == ',') goto yy46;
					if (yych <= '-') goto yy582;
					goto yy46;
				}
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ';') {
					if (yych <= '9') goto yy720;
					if (yych <= ':') goto yy46;
					goto yy579;
				} else {
					if (yych == '@') goto yy581;
					if (yych <= 'C') goto yy46;
					goto yy726;
				}
			} else {
				if (yych <= 'R') {
					if (yych == 'L') goto yy726;
					goto yy46;
				} else {
					if (yych <= 'S') goto yy726;
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000167F) {
			if (yych <= 'l') {
				if (yych <= 'f') {
					if (yych <= ']') goto yy579;
					if (yych <= 'c') goto yy46;
					goto yy726;
				} else {
					if (yych == 'i') goto yy593;
					if (yych <= 'k') goto yy46;
					goto yy726;
				}
			} else {
				if (yych <= 0x00000084) {
					if (yych == 's') goto yy726;
					goto yy46;
				} else {
					if (yych <= 0x00000085) goto yy579;
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= 0x00002029) {
				if (yych <= 0x0000180E) {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00001FFF) goto yy46;
					if (yych <= 0x0000200A) goto yy579;
					if (yych <= 0x00002027) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000205E) {
					if (yych == 0x0000202F) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x0000205F) goto yy579;
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy722:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy723;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy724;
		goto yy46;
	}
yy723:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy724:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy582;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy724;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy593;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy726:
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych != '+') goto yy46;
	} else {
		if (yych <= '-') goto yy727;
		if (yych <= '/') goto yy46;
		if (yych <= '9') goto yy728;
		goto yy46;
	}
yy727:
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy46;
	if (yych >= ':') goto yy46;
yy728:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 8) YYFILL(8);
	yych = *YYCURSOR;
	if (yych <= '\\') {
		if (yych <= '+') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '\'') {
					if (yych <= '!') goto yy46;
					if (yych <= '#') goto yy579;
					goto yy46;
				} else {
					if (yych <= ')') goto yy579;
					if (yych <= '*') goto yy46;
					goto yy582;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '-') {
					if (yych <= ',') goto yy46;
					goto yy582;
				} else {
					if (yych <= '/') goto yy46;
					if (yych <= '9') goto yy728;
					goto yy46;
				}
			} else {
				if (yych <= '@') {
					if (yych <= ';') goto yy579;
					if (yych <= '?') goto yy46;
					goto yy581;
				} else {
					if (yych == '[') goto yy579;
					goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x00000085) {
				if (yych <= 'h') {
					if (yych <= ']') goto yy579;
					goto yy46;
				} else {
					if (yych <= 'i') goto yy593;
					if (yych <= 0x00000084) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych == 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy730:
	yych = *++YYCURSOR;
	if (yych != 'n') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '0') goto yy46;
yy733:
	yych = *++YYCURSOR;
	if (yych <= ']') {
		if (yych <= '*') {
			if (yych <= ' ') {
				if (yych <= 0x00000008) {
					if (yych <= 0x00000000) goto yy579;
					goto yy46;
				} else {
					if (yych <= '\r') goto yy579;
					if (yych <= 0x0000001F) goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '!') goto yy46;
					goto yy579;
				} else {
					if (yych <= '\'') goto yy46;
					if (yych <= ')') goto yy579;
					goto yy46;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych <= ',') {
					if (yych <= '+') goto yy582;
					goto yy46;
				} else {
					if (yych <= '-') goto yy582;
					if (yych <= ':') goto yy46;
					goto yy579;
				}
			} else {
				if (yych <= 'Z') {
					if (yych == '@') goto yy581;
					goto yy46;
				} else {
					if (yych == '\\') goto yy46;
					goto yy579;
				}
			}
		}
	} else {
		if (yych <= 0x0000180E) {
			if (yych <= 0x0000009F) {
				if (yych <= 'i') {
					if (yych <= 'h') goto yy46;
					goto yy593;
				} else {
					if (yych == 0x00000085) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000167F) {
					if (yych <= 0x000000A0) goto yy579;
					goto yy46;
				} else {
					if (yych <= 0x00001680) goto yy579;
					if (yych <= 0x0000180D) goto yy46;
					goto yy579;
				}
			}
		} else {
			if (yych <= 0x0000202E) {
				if (yych <= 0x0000200A) {
					if (yych <= 0x00001FFF) goto yy46;
					goto yy579;
				} else {
					if (yych <= 0x00002027) goto yy46;
					if (yych <= 0x00002029) goto yy579;
					goto yy46;
				}
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000202F) goto yy579;
					if (yych <= 0x0000205E) goto yy46;
					goto yy579;
				} else {
					if (yych == 0x00003000) goto yy579;
					goto yy46;
				}
			}
		}
	}
yy734:
	yych = *++YYCURSOR;
	if (yych != 'f') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '.') goto yy46;
	yych = *++YYCURSOR;
	if (yych == '0') goto yy733;
	goto yy46;
yy737:
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych == 'E') goto yy569;
		if (yych <= 'H') goto yy46;
		goto yy569;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy46;
			goto yy569;
		} else {
			if (yych == 'i') goto yy569;
			goto yy46;
		}
	}
yy738:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych == '/') goto yy743;
	if (yych == '\\') goto yy738;
	goto yy346;
yy740:
	yych = *++YYCURSOR;
	if (yych <= 0x00000085) {
		if (yych <= '\'') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy741;
				if (yych <= 0x00000008) goto yy46;
				if (yych >= 0x0000000E) goto yy46;
			} else {
				if (yych == '!') goto yy46;
				if (yych >= '$') goto yy46;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= ')') goto yy741;
				if (yych != ';') goto yy46;
			} else {
				if (yych <= '\\') {
					if (yych >= '\\') goto yy46;
				} else {
					if (yych <= ']') goto yy741;
					if (yych <= 0x00000084) goto yy46;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x00001680) {
				if (yych == 0x000000A0) goto yy741;
				if (yych <= 0x0000167F) goto yy46;
			} else {
				if (yych == 0x0000180E) goto yy741;
				if (yych <= 0x00001FFF) goto yy46;
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy46;
				if (yych <= 0x00002029) goto yy741;
				if (yych <= 0x0000202E) goto yy46;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy46;
				} else {
					if (yych != 0x00003000) goto yy46;
				}
			}
		}
	}
yy741:
	++YYCURSOR;
yy742:
#line 360 "src/scanner.re"
	{
            YYCURSOR--;
            yylval->stringValue = ucs4string(YYTOKEN + 2, (YYCURSOR - YYTOKEN) - 3);
            YYTOKEN = YYCURSOR;
            return REGEXP;
        }
#line 15811 "<stdout>"
yy743:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000084) {
		if (yych <= ')') {
			if (yych <= 0x0000001F) {
				if (yych <= 0x00000000) goto yy744;
				if (yych <= 0x00000008) goto yy346;
				if (yych >= 0x0000000E) goto yy346;
			} else {
				if (yych <= '!') {
					if (yych >= '!') goto yy346;
				} else {
					if (yych <= '#') goto yy744;
					if (yych <= '\'') goto yy346;
				}
			}
		} else {
			if (yych <= ';') {
				if (yych == '/') goto yy740;
				if (yych <= ':') goto yy346;
			} else {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy346;
				} else {
					if (yych <= '\\') goto yy738;
					if (yych >= '^') goto yy346;
				}
			}
		}
	} else {
		if (yych <= 0x0000200A) {
			if (yych <= 0x0000167F) {
				if (yych <= 0x00000085) goto yy744;
				if (yych != 0x000000A0) goto yy346;
			} else {
				if (yych <= 0x0000180D) {
					if (yych >= 0x00001681) goto yy346;
				} else {
					if (yych <= 0x0000180E) goto yy744;
					if (yych <= 0x00001FFF) goto yy346;
				}
			}
		} else {
			if (yych <= 0x0000202F) {
				if (yych <= 0x00002027) goto yy346;
				if (yych <= 0x00002029) goto yy744;
				if (yych <= 0x0000202E) goto yy346;
			} else {
				if (yych <= 0x0000205F) {
					if (yych <= 0x0000205E) goto yy346;
				} else {
					if (yych != 0x00003000) goto yy346;
				}
			}
		}
	}
yy744:
	yyaccept = 5;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych == '/') goto yy740;
	if (yych == '\\') goto yy738;
	goto yy346;
yy745:
	++YYCURSOR;
#line 397 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_SYNTAX; }
#line 15885 "<stdout>"
yy747:
	++YYCURSOR;
#line 401 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_QUASISYNTAX; }
#line 15893 "<stdout>"
yy749:
	++YYCURSOR;
#line 405 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_UNSYNTAX;
        }
#line 15902 "<stdout>"
yy751:
	yych = *++YYCURSOR;
	++YYCURSOR;
#line 410 "src/scanner.re"
	{
            YYCURSOR--;
            YYTOKEN = YYCURSOR;
            return ABBV_UNSYNTAXSPLICING;
        }
#line 15912 "<stdout>"
yy754:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'Z') {
		if (yych <= ',') goto yy30;
		if (yych <= '9') goto yy754;
		if (yych <= '@') goto yy30;
		goto yy754;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy30;
			goto yy754;
		} else {
			if (yych <= '`') goto yy30;
			if (yych <= 'z') goto yy754;
			goto yy30;
		}
	}
yy756:
	yych = *++YYCURSOR;
	if (yych != '8') goto yy46;
	yych = *++YYCURSOR;
	if (yych != '(') goto yy46;
	++YYCURSOR;
#line 433 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            return BYTE_VECTOR_START;
        }
#line 15943 "<stdout>"
}
#line 458 "src/scanner.re"


comment:
        YYTOKEN = YYCURSOR;

#line 15951 "<stdout>"
{
	YYCTYPE yych;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '#') {
		if (yych <= 0x00000000) goto yy765;
		if (yych <= '"') goto yy767;
		goto yy764;
	} else {
		if (yych != '|') goto yy767;
	}
	++YYCURSOR;
	if ((yych = *YYCURSOR) == '#') goto yy770;
yy763:
#line 480 "src/scanner.re"
	{
            goto comment;
        }
#line 15970 "<stdout>"
yy764:
	yych = *++YYCURSOR;
	if (yych == '|') goto yy768;
	goto yy763;
yy765:
	++YYCURSOR;
#line 475 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            return 0;
        }
#line 15982 "<stdout>"
yy767:
	yych = *++YYCURSOR;
	goto yy763;
yy768:
	++YYCURSOR;
#line 471 "src/scanner.re"
	{
            comment_count++;
            goto comment;
        }
#line 15993 "<stdout>"
yy770:
	++YYCURSOR;
#line 463 "src/scanner.re"
	{
            YYTOKEN = YYCURSOR;
            if (--comment_count == 0) {
                continue;
            } else {
                goto comment;
            }
        }
#line 16005 "<stdout>"
}
#line 483 "src/scanner.re"

    }
}

ucs4string Scanner::currentToken() const
{
    if (limit_ >= token_) {
        return ucs4string(token_, limit_ - token_);
    } else {
        return ucs4string(UC(""));
    }
}
